Introduction

Sonic Foundry proudly introduces SIREN Jukebox 2.0, a software program that plays audio compact discs (CDs), music files and video from your computer and the Internet. In addition, SIREN Jukebox allows you to encode or “rip” music from personal CD collections to the computer, burn custom CDs and download music to portable players.

With SIREN Jukebox, you can organize media into a personal media library, making it easy to locate specific songs and video in an extensive collection. SIREN Jukebox also enables you to create custom playlists that define the order or type of media to be played. SIREN Jukebox encodes and compresses audio files for efficient storage and easier distribution.

Features exclusive to a full version of SIREN Jukebox, and not included in SIREN XPress, are indicated with the following icon:

What do you want to do?

Learn more about SIREN

Get started using SIREN

Learn more about media formats

Register SIREN


SIREN Highlights

SIRENä Jukebox Highlights

SIREN Jukebox can help you build and manage personal music collections by:

  • Playing CDs and media files.

  • Ripping music from CDs to the computer’s hard drive for later playback.

  • Organizing media into custom playlists.

  • Storing artist, album, and song titles for all music in the library.

  • Rating tracks, and later viewing or sorting a list of favorite picks.

  • Creating custom audio or data CDs from tracks in the music library.

  • Downloading music to a portable player.

With an Internet connection, you can take advantage of these additional features:

  • Identify CDs and automatically provide song, album, and artist names from CDDB

  • Listen to over 200 Internet radio stations broadcasting a variety of genres and styles

  • Surf the Web using the built-in browser

  • Stream audio and video files

  • Download new music from the Internet


System Requirements

The system’s components influence SIREN's performance. Following is the list of SIREN recommended system requirements:

  • 300 MHz processor

  • Windows-compatible sound card

  • CD-ROM drive (for installation from a CD only)

  • Supported CD-Recordable drive (for CD burning only)

  • 24-bit color display recommended

  • 64 MB RAM

  • 20 MB hard-disk space for program installation

  • Microsoft® Windows® 98, ME, or 2000

  • DirectX® Media 6.0 Run Time (included on CD-ROM) or later

  • Microsoft Internet Explorer 4.0 or later to view Online Help (version 5.0 included on CD-ROM)

  • Adobe® Acrobat® Readertm 4.0 to view PDF manual


Registering SIREN

Registering SIREN Jukebox

You should register SIREN, as it entitles them to special offers and upgrade notifications.

Registering a SIREN Jukebox download

If you have purchased a full version of SIREN 2.0 from the Sonic Foundry Web site, you will receive a serial number via e-mail. Entering the serial number provides you with the full version of SIREN 2.0.

Once the serial number is entered, a Registration dialog provides instructions to register the program. You must register the product within seven days in order to continue using the full version of SIREN 2.0

Registering a Sonic Foundry SIREN Jukebox CD

To unlock SIREN's powerful array of features, you will need to enter the serial number, located on the title page of the manual, the first time you run SIREN.

Once SIREN is unlocked, a Registration dialog provides instructions to register the program. While registering is not mandatory, it allows Sonic Foundry to provide you with advanced features, application updates, and special promotions.

Purchasing SIREN Jukebox from Siren XPress

If a full version of SIREN was not purchased, a serial number dialog is displayed the first time the program is started. From this dialog, you may elect to enter a serial number for a full version of SIREN or use SIREN XPress.

To purchase SIREN online:

  1. Launch SIREN XPress 2.0.

  2. From the Help menu, choose Instant Upgrade. The Purchase Upgrade dialog is displayed.

  3. Select the I want to purchase online radio button and click Next. The system attempts to start its browser and connect to the Sonic Foundry Web site.

  4. Follow the instructions to purchase the upgrade. When the transaction is complete, an activation code is e-mailed to you.

  5. Enter the activation code and click Finish. The full version of SIREN is unlocked.

To purchase SIREN Jukebox over the phone:

  1. Launch SIREN XPress 2.0.

  2. From the Help menu, choose Instant Upgrade. The Purchase Upgrade dialog is displayed.

  3. Select the I want to purchase over the phone radio button and click Next. The Upgrade via Phone dialog is displayed.

  4. Write down the provided Computer ID numbers and contact the Sonic Foundry Customer Service Department at:

    • 1-800-577-6644 in the U.S., Canada, and the Virgin Islands

    • +800-000-76642 in Austria, Denmark, France, Germany, Italy, Sweden, UK, Netherlands, and Japan

    • +608-256-3133 extension 2300 in all other countries

  5. When the transaction is complete, enter the activation code and click Finish. The full version of Siren is unlocked.


Technical Support

If you experience problems, or have questions while using SIREN, contact Sonic Foundry's technical support department.

Before calling

Sonic Foundry has many registered users. To expedite service, please do the following prior to calling:

  • Verify that the product is registered. For information on how to register, refer to Registering Siren .

  • Attempt to locate the desired information in the manual and/or Help file.

  • Write down the product's serial number, as well as information regarding the system's hardware and software. Product information is located in the Help menu's About Siren dialog.

  • Call from a phone that is near the computer. This allows Sonic Foundry's staff to walk you through problems.

Reaching Technical Support

If you experience problems, or have question while using Siren, our technical support department is always ready to help you. Additional support and information about Siren and other Sonic Foundry products can be found on the Sonic Foundry Web site.

  • For a detailed list of Technical Support options, please visit the Support page on our Web site.

  • To listen to your support options, please call 608-256-5555.


Setting Up SIREN

Setting Up SIREN Jukebox

Prior to using SIREN, you should configure the application's settings for various functions to take full advantage of SIREN's features.

To set up SIREN for the first time

  1. Customize the SIREN window.

  2. Define the media library folders using the Configuration Wizard.

  3. Configure the computer to automatically begin playback when an audio CD is inserted.

  4. Search the computer for music to begin building a music library.


Preferences

Options Menu

Choose Preferences from the Options menu to access SIREN's options. Information can be entered manually or by using the Configuration Wi zard.

Which tab do you want information about?

General

Folders

Ripping

Transcoding

CD Info

CD Settings


SIREN Window

The components of the SIREN's main screen are labeled below. Panels can be toggled on/off by choosing the appropriate panel from the View menu.

Which panel would you like information about?

Display

Play Controller

Media Manager


Viewing Window Panels

Alt+V

View Menu

SIREN's main window is composed of 3 individual panels. These panels can be moved and resized, as well as toggled on/off by choosing the appropriate panel in the View menu. A checkmark adjacent to a panel in the View menu indicates that the panel is displayed.


Customizing the SIREN Window

Customizing the SIREN Jukebox Window

SIREN's panels can be moved or resized, as well as toggled on/off.

What do you want to do?

Move a panel

  1. Place the mouse pointer on a handle of the panel to be moved. The pointer is displayed as a two-way arrow.

  2. Click and hold the left mouse button, and drag the panel to a new location.

  3. Release the mouse butto n to drop t he panel in the new location.

Some panels can only be moved to specific locations.

Resize a panel

Most panels can be resized by clicking and dragging the panel's sides, however, certain panels can only be resized in specific directions.

Turn a panel on and off

In the View menu, choose a panel to toggle it on/off. A panel is displayed when a checkmark appears to the left of the panel's name.


Creating Layouts

View Menu

SIREN allows you to retain the arrangement and size of your SIREN panels by saving the layout. Once it is saved, you can select it for use at a later time.

What do you want to do?

Create a Layout

  1. Arrange and size the SIREN panels as desired.

  2. From the View menu, choose Layout and then Save Layout from the submenu. The Save Layout dialog appears.

  3. Enter the name for the layout in the Save the Current Layout as box and click on the OK button.

  4. The format name now appears in the View submenu. When it is selected, SIREN's panels will revert to the arrangement saved with that format name.

Delete a Layout

  1. From the View menu, choose Layout and then Delete Layout from the submenu. The Delete Layout dialog appears.

  2. Select the name of the layout you wish to delete in the Delete which layout drop-down box and click on the OK button.


Play Controller Panel

View Menu

The Play Controller contains all elements needed for playback control.

Item

Description

Status

During playback, the status bar provides information regarding the file currently playing such as: location of the file, sample rate, bit depth, channels, and bitrate. When ripping a CD, the status bar provides a progress message such as, "Encoding files (2 of 6)."

Current Playlist

SIREN generates a current playlist in the Play Controller panel each time you select a media file for playback from any of SIREN's available sources. SIREN always performs playback using the media and sequence displayed in the current playlist.

From the current playlist you can reorganize the files for playback using drag and drop, as well as rate your media files under the Rating column. You can also modify the current playlist while it is playing. When you drag and drop a new media file(s) into the current playlist, the new files will replace the existing playlist. If you hold down the key when you drop the files in the playlist, the new files will append to the end of the current playlist.

Transport Bar

Contains buttons corresponding to SIREN's music playback control. More...

Graphic EQ

Displays the Graphic Equalizer panel which divides frequencies into 16 bands that can be boosted or attenuated. More...

Time Stretch

Alters the length of a song while maintaining pitch. More...

Reverb

Simulates the acoustics of various venues and situations. More...

Volume

Allows you to adjust the playback volume level.

Mute

Mutes the current song.

Compact/Skin Mode

Minimizes SIREN's screen, displaying only the controls needed for playback. More...

Locate Playing Song

Allows you to locate the source of the Media that is currently playing. More...

Play Media from

Allows you to navigate the Media Library, playlists, and audio CDs in order to locate media for playback. More...


Transport Bar

Using the Transport Bar

The Transport Bar contains buttons corresponding to SIREN's music playback control.

Item | Description
 | Initiates playback of the selected media file.
 | Pauses playback at the current position. Click again to resume play.
 | Halts playback.
 | Returns playback to the beginning of the current file. If SIREN is already at the beginning of a file, clicking on this button returns playback to tech previous media file.
 | Moves the transport to the next song and begins playback.
 | By default, SIREN plays the current playlist in its entirety and halts upon completion. When Continuous Play is enabled, SIREN plays the current playlist in its entirety, then returns to the top and repeats playback.
 | Play in Order plays all media in the order they are displayed in the selected playlist. Play Randomized plays all songs in the selected playlist in a random order.
 | Ejects the CD from the active CD-ROM.


Graphic EQ

The Graphic Equalizer (EQ) divides the audio spectrum in sixteen bands and allows you to customize your listening experience by boosting or cutting specific frequencies. Click on the Graphic EQ icon [image] to display the menu. From the menu, you can quickly disable the Graphic EQ, choose an EQ preset, or set a custom EQ.

SIREN provides four EQ presets and the ability to create custom EQ settings. SIREN Xpress users, however, are limited to the Classical and Pop presets and are unable to create custom settings.

To set a custom EQ

  1. Click on the Graphic EQ icon [image] in the Play Controller Panel.

  2. To adjust a band, drag the fader thumb up or down. Band tension is automatically enabled, but you can disable it by right-clicking on the title bar of the Graphic Equalizer dialog and selecting Band Tension from the Shortcut menu.

  3. Close the Graphic Equalizer dialog. The custom EQ is applied to the audio and the Graphic EQ icon changes color.


Time Stretch

Time Stretch alters the length of a song without changing its pitch. It is important to realize that this feature is most effective for applying light to medium time compression or expansion. Attempting to severely alter the length of a song typically results in a distracting distortion of the audio signal. Click on the Time Stretch icon [image] in the Play Controller panel to display the menu. From the menu, you can quickly disable Time Stretch and double the length of a song, restore a song to its original length and tempo, halve the length of a song, and create a custom time stretch.

You can choose from one of the Time Stretch presets, or you can set your own. SIREN XPress users, however, are limited to presets of -10% and +10% and are unable to create custom settings.

What do you want to do?

Read about the Time Stretch menu options

You can select from any of the following presets:

Menu Item | Description
Disabled | Indicates when Time Stretch is disabled. When you select a preset, the check mark is removed from this menu item.
Double Time | Compresses a song to 1/2 its original length.
Normal | Restores the song to its original length and tempo.
Half Time | Stretches the song to twice its original length.
Custom | Allows you to manually adjust the Time Stretch settings.

Set Time Stretch

  1. Click on the Time Stretch icon [image] in the Play Controller Panel.

  2. Choose Custom from the shortcut menu. The Time Stretch dialog displays.

  3. Click and drag the slider thumb left or right. Dragging the thumb to the right speeds the song up, decreasing its length. Dragging the thumb to the left slows the song down, increasing its length.

  4. Close the Time Stretch dialog. The custom setting is applied to the audio and the Time Stretch icon changes color.

Double-clicking on the Time Stretch slider returns the song to its original length and tempo.


Reverb

Reverb simulates the acoustics of various venues and situations. It can also be used to create interesting effects by placing sounds in spaces, real and otherwise, where they are not normally heard. Click on the Reverb icon [image] to display the Reverb menu. From the menu, you can disable Reverb, choose a Reverb preset and set a custom reverb effect

What do you want to do?

Read descriptions for each parameter in the Reverb window

Item | Description
Mix | Determines the amount of processed sound in the input. When Mix is set to 100%, only the reverberated signal is heard. For more realistic reverb effects, reduce the Mix level.
Size | Determines the time lapse between the initial audio and the onset of reverberation. This determines the illusion of the size of the acoustic space. Longer time lapses are associated with larger spaces; therefore, increasing the value simulates a larger room.
Brightness | Determines the reverb decay time. In a dampened room, walls absorb sound quickly, whereas in a bright room, such as a gymnasium, walls reflect more sound. Reverberation in a bright room lasts substantially longer than in a damp room, therefore increasing the Brightness level simulates a larger, brighter value.

Set a custom Reverb effect

  1. Click on the Reverb icon [image] in the Play Controller Panel.

  2. Choose Custom from the shortcut menu. The Reverb dialog displays.

  3. Like Graphic EQ, Reverb values are set by dragging the slider thumb left or right. Dragging the thumb to the right increases the value. Dragging the thumb to the left decreases the value.

  4. Close the Reverb dialog. The custom reverberation is applied to the audio and the Reverb icon changes color.


Media Manager Panel

View Menu

The Media Manager Panel contains tabs that provide easy access to common SIREN tasks, including access to Internet media and radio sites.

The following tabs are included in the Media Manager panel

Tab | Description
Media Library | Includes the entire video and music library, categorized by artist, album, and genre. From this tab, you can play music, create and manage playlists, and add to the Burn List and portable player. More...
Play/Rip CD | Displays the CD drive(s) attached to your computer. From this tab, you can play CDs and rip songs from a CD to your computer. More...
Explore Files | Displays the contents of the computer's file system, including network connections, hard drives, and CD drives. More...
Internet Media | Launches an internal browser, enabling you to search the Internet for music and videos. More...
Internet Radio | Launches an internal browser, enabling you to listen to Internet radio stations. More...
Burn CD | Allows you to create custom CDs from your music collections. Custom CDs may consist of songs from personal CDs as well as .wav, .mp3, and .wma files recorded or downloaded from the Internet. More...
Portable Player | Allows you to download .mp3 and/or *.wma files to portable players, as well as manage these files once they are in the player. More...


Media Library Tab

SIREN's Media Library tab displays the contents of your personal media library. From this tab you can play media and create and manage views and playlists.

Area

Description

My Media View

Displays all views and playlists. SIREN adds items to the Media Manager when you search the computer for media, rip a CD to the computer, and download music from the Internet using SIREN.

Command Bar

Provides access to commonly used functions The command options change based on the view and type of file selected.

Media List

Lists all the media in the selected playlist.

Library Info Bar

Displays the current media information. You can edit the media information via clicking on the column and entering the new information and then pressing:

  • Shift+Enter to move one cell up

  • Tab to move one cell to the right

  • Shift+Tab to move once cell to the left

  • Enter to save the changes

Media information may also be changed via editing the media file properties .

Toolbar

Contains buttons to help you manage your media library.

What do you want to do?

Play music

Create a custom playlist

Import or Export a Playlist


Play/Rip CD Tab

The Play/Rip CD tab, located in the Media Manager panel, allows you to view and play the current CD's tracks, get CD information from the Internet, and rip music from the CD to your computer.

What do you want to do?

Play the CD

Rip music from your audio CD to your computer

Get CD information from the Internet


Explore File Tab

Explore Files Tab

The Explore Files tab, located in the Media Manager panel, displays the contents of the computer's file system, including network connections, hard drives, and CD drives.

Item | Description
Tree View | Displays the files and folders from which you can select media files. The Tree view is enabled by default. Click [image] to toggle this view on/off and display only the current folder contents.
Add to Library | Adds the selected media file to the Media Library. More...
Rip to Library | Rips the selected media file from a CD to the computer and adds it to the Media Library. More...
Cancel Ripping | Cancels the ripping process.
Add to Burn list | Adds the selected media to the burn list located in the Burn CD tab.
Add to Portable Player List | Adds the selected song to the list located in the Portable Player tab.


Internet Media Tab

SIREN can help you download media from the Internet. Clicking on the Internet Media tab displays an internal browser, enabling you to search the Internet for music and videos. This browser works similarly to Internet Explorer.

To get media from the Internet

  1. Verify that the computer is connected to the Internet.

  2. Click on the Internet Media tab. SIREN launches an internal browser and lists links to downloadable media sites.

  3. Connect to the desired site(s) and download media.

  4. After downloading is complete, go to SIREN's Explore Files tab and access the media storage folder.

  5. Select the newly downloaded media and click Add to Library. SIREN adds the media to the Media Library tab.

If several songs have been downloaded, choose Search Computer for Media from the Options menu. SIREN finds the new media and adds them to the media library.

If SIREN is unable to locate information about the media, it places the song in an Unknown folder for each My Media view. Highlight the media file and manually add information.


Internet Radio Tab

SIREN allows you to listen to radio stations on the Internet. Clicking on the Internet Radio tab launches an internal browser, enabling you to search for radio stations. This browser works similar to Internet Explorer.

To listen to radio stations on the Internet

  1. Verify that the computer is connected to the Internet.

  2. Click on the Internet Radio tab. SIREN launches an internal browser and lists links to available radio stations.

  3. Click on the links to browse to the desired radio station.

  4. Click on the Listen link to begin listening to the radio station.


Burn CD Tab

The Burn CD tab, located in the Media Manager, panel, allows you to create custom audio and data CDs from your media collections. Custom CDs may consist of video files, songs from personal CDs, as well as files ripped or downloaded from the Internet.

Writing .wma files to a custom CD is only possible if the file includes a flag permitting it.

In accordance with copyright law, you can create a personal copy of copyrighted material. You can therefore rip music from personal CDs to the computer, and create a custom CD of that music, but cannot make a copy of that custom CD or record its music to another computer.

What do you want to do?

Specify custom CD settings

Create a custom audio CD

Create a custom data CD

Exporting the Burn List to a Label


Portable Player Tab

The Portable Player tab, located in the Media Manager, allows you to download files to portable players, as well as manage these files once they are in the player. SIREN helps you get the most out of your portable player. You can download .mp3 and/or .wma files (for players that have .wma support).

Furthermore, with SIREN's auto-transcode feature, you can convert any audio file in your library, or tracks from a CD to a format suitable for your player. A list of portable players supported by SIREN can be obtained from the Sonic Foundry Web site. To access the Web site, go to the Help menu, and choose Sonic Foundry on the Web, and choose SIREN Home Page from the submenu.

What do you want to do?

Download music to the portable player

Configure SIREN for Auto-Transcoding

Manage the portable player


Display Panel

View Menu

The Display panel is used to display:

  • Peak or classic volume meters.

  • Real-time visualizations based on FFT (Fast Fourier Transform) analysis of the current song (Spectrum).

  • Real-time visualizations based on waveform analysis (Wave).

  • Video Clips.

Select the type of display by right-clicking on the panel and choosing the desired display from the shortcut menu.

When Full Screen Mode is chosen, users must also specify the screen's resolution. Once a resolution is selected, the Spectrum panel visualization fills the entire screen. Press the Esc key to return to the desktop.

You can resize the Spectrum panel, as well as move it to a different window location.


File Menu

Alt+F

Menu Bar

The File menu contains commands allow you to perform general SIREN functions.

Which menu item do you want to use?

Add to Library

Rip to Library

Cancel Encoding

Add to Burn List

Close CD Session

Add t o Portable Player List

CD Info

Properties

Exit


Add to Library

File Menu

Use the Add to Library command to add the selected media file to the My Media view in the Media Library tab.

To add media to the My Media view

  1. Click on the Explore Files tab.

  2. Select the file you want to add to the My Media view.

  3. From the File menu, choose Add to Library.


Rip to Library

Ripping Music from CDs

Ctrl+R

File Menu

Choosing Rip to Library from the File menu rips music from a CD to the computer. Recorded files are placed in the location specified in the Preferences/Ripping Tab, and SIREN automatically places links to the files in the Media Library tab. You can play music from the media library while ripping CDs, but cannot listen to the CD itself during ripping.

To rip music from a CD to the computer

  1. Place an audio CD in the CD-ROM drive.

  2. Click on the Play/Rip CD tab in the Media Manager panel. The CD's tracks and database information are displayed.

If the system has multiple CD drives, you must specify the appropriate drive to display the track listing and database information.

  3. If the track information is not displayed, access CDDB or add this information manually.

If track information is not displayed or added, SIREN rips all songs as unknown and numbers them sequentially.

  4. Select the track(s) to be ripped and click on the Rip to Library button [image] in the Media Manager panel command bar, or choose Rip to Library from the File menu.

    SIREN rips the song(s) to the media files folder and a progress meter is displayed in the status column to the right of each track being ripped. To halt ripping, click on the Cancel Ripping button [image]. Progress can also be monitored using the Encoding List from either the Play/Rip CD or Explore Files tab.


Cancel Ripping

File Menu

Choose Cancel Ripping from the File menu, or click on the Cancel Ripping button [image] to cancel the Ripping process.


Add to Burn List

Ctrl+W

File Menu

The Add to Burn List button adds the selected song to the burn list located in the Burn CD tab.


Closing the CD Session

Closing a CD Session

File Menu

Once all desired songs are added to a custom CD, the CD must be closed. Closing a CD allows it to be played in consumer CD players.

Once a CD is closed, new songs can no longer be added.

To close a CD session

  1. Verify that all desired songs are added as described in Creating Custom CDs.

  2. If the Create CD dialog is not displayed, choose Close CD Session from the File menu.

  3. Click Close Disc. SIREN begins closing the CD session and displays its progress.

  4. Once the process is complete, SIREN alerts you that the operation was successful.

  5. Click OK.


Downloading Music to the Portable Player

Ctrl+Shift+Enter

File Menu

Music can be downloaded to your portable player from the media library or directly from a CD through the use of auto-transcoding.

Auto-transcoding is unavailable for SIREN XPress users.

What do you want to do?

Download music from the Media Library

  1. Verify that the portable player is properly connected to the computer, as described in the player's documentation. Note that if the player is turned off, its icon is inactive (crossed-out).

    Note that if the player has a battery save feature and is idle for an extended period of time, it may display as inactive even if properly connected.

  2. From the Portable Player tab, specify the connected player from the drop-down list. The content of the player's internal memory (and removable memory cards) is displayed.

  3. Select the memory or folder to which the selected music will be added. For information on creating folders, click here.

  4. Verify that auto-transcoding settings are configured if you want to convert the music files to a different format or bitrate.

  5. Select the file(s) to be downloaded to the portable player from either the Media Library or Explore Files tab.

  6. Click on the Add to Portable Player List button [image] or choose Add to Portable Player List from the File menu. A message box appears confirming that the selected files were sent to the Portable Player tab.

  7. Click OK.

  8. Select the Portable Player tab to see a list of the songs selected for transfer.

  9. From the Portable Player tab, click on the Transfer to Portable Player button [image]. If auto-transcoding is enabled, the applicable songs will be transcoded before being transferred. A message box appears displaying the progress of transcoding.

    Once all selected songs are downloaded, the message box closes, SIREN's main screen is displayed, and the status of the songs change to On Device.

Download music from a CD

  1. Verify that the portable player is properly connected to the computer, as described in the player's documentation. Note that if the player is turned off, its icon is inactive (crossed-out).

    Note that if the player has a battery save feature and is idle for an extended period of time, it may display as inactive even if properly connected.

  2. From the Portable Player tab, specify the connected player from the drop-down list. The content of the player's internal memory (and removable memory cards) is displayed.

  3. Select the memory or folder to which the selected music will be added. For information on creating folders, click here.

  4. Specify the auto-transcoding settings needed to convert the CD tracks to either .mp3 or .wma.

  5. Place an audio CD in the system's CD-ROM drive and select the Play/Record CD tab. The CDs tracks and database information are displayed. If your computer has multiple CD drives, you must specify the appropriate drive to display the track listing and database information.

  6. Select the tracks to be downloaded and click on the Add to Portable Player List button [image] or choose Add to Portable Player List from the File menu. A message box displays the transcoding progress.

    Once all selected songs are downloaded, the message box closes, SIREN's main screen is displayed, and the status of the songs change to On Device.


CD Info

File Menu

The CD Info submenu of the File menu contains commands related to retrieving and saving song information. Generally, SIREN retrieves information about audio CDs from either the CD itself, or a local database.

When the information is not available, SIREN can attempt to retrieve it over the Internet. If this fails, you must enter it manually. Once added, the information is saved to the local database. This information can also be uploaded to the Internet.

Which CD Info sub-menu do you want to use?

Get

Submit

Save to CDPLAYER.INI Now


Properties

Alt+Enter

File Menu

Use the Properties command to view information about a selected media file or to edit song information in the music library. For songs in the Media Library tab, this dialog includes a General tab and a Library Info tab. For media files in the Explore Files tab, or CD tracks in the Play/Rip CD tab, this dialog contains only a General tab.

To view media file information

  1. Select the media file, song, or video clip.

  2. From the File menu, choose Properties (or right-click and choose Properties). The Properties dialog appears.

Which tab do you want information about?

General Tab

Library Info Tab


Exiting

Exit

Alt+F4

File Menu

Choose Exit from the File menu to close SIREN Jukebox and return to the desktop.


Edit Menu

Alt+E

Menu Bar

The Edit menu contains commands that enable you to modify songs and playlists.

Which menu item do you want to use?

Delete

Rename

Select All

New Playlist

Add to Playlist

Clean Database

Auto Rename Files

Update ID3 Tags


Delete

Delete

Edit Menu

When deleting media from the Media Manager panel, you may delete either the:

  • link from the media database.

  • file from the computer.

To delete media

  1. Select the media to be deleted from the Media Manager panel.

  2. From the Edit menu, choose Delete. The Delete dialog appears.

  3. To delete the file from the computer, select the Delete file(s) from them computer check box. If the check box is cleared, SIREN deletes only the link to the media database.

  4. Click Delete.


Renaming CD Tracks

F2

Edit Menu

Choose Rename from the Edit menu to rename CD tracks. Songs should be renamed prior to being recorded to the computer, as SIREN stores the information in its database for future retrieval. You can also:

  • Add additional song information manually.

  • Access song information over the Internet using CDDB.

If a file that is linked to a song in the music library is renamed in the Explore Files tab, SIREN does not rename the song in the library. SIREN is then unable to locate the linked file. In this case, delete the song from the music library, then add the renamed file to the music library.


Select All

Ctrl+A

Edit Menu

Choose Select All from the Edit menu to select all items in a list.

  • From the Explore Files tab, you can access folders on the computer, then click the Add to Library button [image], or choose Add to Library from the File menu, to add songs to the Media Library view.

  • From the Media Manager panel, you can access sub-folders in the Media Library tab, then click the Add to Playlist button [image], or choose Add to Playlist from the Edit menu, to add songs to a playlist.

  • From the Play/Record CDs tab, you can access a CD drive, then click Rip to Library button [image], or choose Rip to Library from the File menu, to rip songs to the computer.


Creating a New Playlist

Ctrl+N

Edit Menu

You can create a new playlist and add music to it from the Media Library tab.

To create a custom playlist

  1. Click on the New Playlist button [image] or, from the Edit menu, choose New Playlist. SIREN creates a new playlist with a default name and displays it beneath the My PlayLists view.

  2. Enter a name for the new playlist and press Enter.

Edit a playlist name by right-clicking on it and choosing Rename from the shortcut menu.

  3. Add songs to the playlist. SIREN creates links from the playlist to the folders where the songs are located.

Once songs are placed in a playlist, they can be arranged using drag and drop.


Adding Media to a Custom Playlist

Edit Menu

To add media to a custom playlist

Use any of the following methods:

  • Drag media from the Media Library tab and drop them into the playlist.

  • Select a media file and choose Add to Playlist from the Edit menu.

  • Select a media file and click on the Add to Playlist button [image] in the command bar.


Clean Database

Edit Menu

The Clean Database option of the Edit menu maintains the database, clearing it of deleted and duplicated file entries. Choosing this option displays the Clean Up Database dialog.

The database clean up options are described below. Clearing a check box disables the corresponding function.

Remove entries to deleted files | Searches the music database for files that have been deleted from the computer and removes the database entry for them.
Delete duplicate files found on your system | Searches the music database for duplicate files and deletes them, retaining one entry for each file.
Ask before deleting items | Alerts you prior to erasing any duplicated or deleted music file entries in the database.


Auto Rename Files

Edit Menu

The Edit menu's Auto Rename Files option renames linked music files based on the information retrieved from the music database. This option changes the filename to include song information and make the file more recognizable. SIREN uses the following format:

artist-album-track-songname.extension

The file's extension does not change.

To use the Auto Rename Files feature

  1. Select a media file in the Media Library tab.

  2. From the File menu, choose Auto Rename Files. The file is renamed based on SIREN's renaming format.

  3. Click on the Refresh button [image] or press F5 to refresh the media list.

Auto Rename Files command can be used on several files simultaneously.


ID3 Tags

Update ID3 Tags

Edit Menu

ID3 tags allow additional information and data, musical and otherwise, to be saved with an .mp3 file.

To create or update a song's ID3 Tags

  1. Select a song.

  2. Add or edit the song information as desired.

  3. From the Edit menu, choose Update ID3 tags. The song's ID3 tags are created or updated appropriately.

    When the song's properties are viewed, the updated ID3 tags are included in the Properties dialog.


View Menu

Alt+V

Menu Bar

The View menu allows you to toggle panels on/off, create a layout, locate the current playing song, and switch to compact/skin mode. A check mark adjacent to a menu item indicates that the item is currently displayed.

The current View configuration is saved when SIREN is closed, and is automatically recalled the next time SIREN is launched.

Which menu item do you want to use?

Media Manager

Play Controller

Display

Layouts

Locate Playing Song

Compact/Skin Mode

Always on Top (Compact Skin Mode)


Locate Playing Song

View Menu

The Locate Playing Song command allows you to quickly locate the source of the media that is currently playing. Click on the desired tab in the Media Manager and choose Locate Playing Song from the View menu or click on the Located Playing Song button [image] in the Play Controller.


Compact/Skin Mode

Ctrl+M

View Menu

SIREN allows you to place the application in compact mode and use skins to give SIREN's user interface a new look. Though skins typically include only a portion of available SIREN controls (often only the Transport Bar) they are convenient for placing on the desktop and providing limited program control while working in another application.

To toggle between Compact mode and normal mode

Click on the Compact/Skin mode Mode button [image] in the Play Controller, or choose Compact/Skin Mode from the File menu.


Always on Top (Compact/Skin Mode)

Always on Top

View Menu

Choosing Always on Top from the View menu results in SIREN remaining above all open application windows when operating in Compact mode. Select this option again to disable it.


Skins Menu

Alt+K

Skins Menu

Skins allow you to customize the look of SIREN in compact mode. SIREN comes equipped with several sample skins which are listed in the Skins menu. In addition, you can create custom skins, as well as download new skins. Once a skin is added, it is listed in the Skins menu. For more information, refer to the SIREN Web site.

Which menu item do you want to use?

Get Skins

Launches the internal browser and connects to the SIREN Skins page of the Sonic Foundry Web site. From here, you can download new skins, as well as Sonic Foundry's Skin Grafters Kit.

Delete Skins

Opens the Skins directory and allows you to delete skins.

SIREN Default

Restores the default SIREN skin.


Transport Menu

Alt+T

Menu Bar

Use the Transport menu to access playback functions used while listening to music. You can also access a majority of these functions from the Play Controller Panel.

Which menu item do you want to use?

Play (Ctrl+Space)

Begins playback of the selected song, and continues through the entire playlist.

Pause (Pause)

Pauses playback at the current position. Choose Pause again to resume play.

Stop (Ctrl+Space)

Halts playback of the current song.

Previous Song (Ctrl+Up)

Returns the transport to the beginning of the current song and begins playback. If SIREN was at the beginning of the song, the transport returns to the previous song and begins to playback.

Next Song (Ctrl+Down)

Moves the transport to the next song and begins playback.

Continuous Play (Ctrl+L)

Choosing this command plays the current playlist or CD in its entirety, then returns to the beginning to continue playback. Choose this command again to place SIREN in Play Once mode.

Randomize (Ctrl+K)

Choosing this command plays the tracks of the current playlist or CD in a random order. Choose this command again to place SIREN in Play in Order mode.

Eject

Ejects the CD from the active CD-ROM drive.

Mute (F11)

Mutes the sound as playback continues.


Sites Menu

Alt+S

Sites Menu

The Sites menu contains commands that launch the internal browser and attempt to connect you to Internet media sites, however, this requires that the computer be connected to the Internet. Select the desired site from the menu. Selecting Show Internet Media View displays the Internet Media tab.


Options Menu

Alt+O

Menu Bar

The Options menu contains commands that enable you to search the computer for music and configure SIREN.

Which menu item do you want to use?

Configuration Wizard

Search Computer for Media

Enable Auto-Rip

Preferences


Configuration Wizard

Options Menu

The Configuration Wizard is automatically started the first time SIREN is run and allows you to configure your SIREN preferences. The Configuration Wizard can also be started by choosing Configuration Wizard from the Options menu. From the Configuration Wizard, you can:

  • Identify an e-mail address for the Compact Disk Database.

  • Establish the location of your media folder.

  • Search your computer for Media.

  • Establish security for music files recorded to the library.

  • Set SIREN as the default player for different media types.


Search Computer for Media

Searching Your Computer for Media

Options Menu

SIREN will search specified system drives for supported media files, and add links to each song or video clip in the My Media view of the Media Library tab.

To search your computer for media

  1. From the Options menu, choose Search Computer for Media. The Search Computer for Media dialog appears.

  2. From the drop-down list, specify the drive to search.

  3. Select the check box(es) corresponding to the desired media file types.

  4. To move all media files into the my media folder, select the appropriate check box. If this check box is cleared, all media files remain in their current location and SIREN simply adds the appropriate links to the My Media view of the Media Library tab. If you want to move only certain files to the folder, select the Ask before moving each file checkbox and you will be asked every time a file is found.

  5. Click Search. SIREN searches the specified drive(s) for media files and indicates the number of files found.

The search process can be halted by clicking the Cancel button.

  6. Click OK to return to SIREN's main screen.


Auto-Rip

Auto-Ripping Music

Options Menu

SIREN can be configured to automatically rip CDs placed in the CD-ROM drive. To enable this option, choose Enable Auto-Rip from the Options menu. To disable this feature, select the option again.

To use this feature, the computer must be set up to play CDs automatically. To best use this feature, configure SIREN to query CDDB prior to ripping. This ensures that SIREN stores information for the ripped songs.

In addition, SIREN checks the music database before ripping and only rips those songs that are not already present.

SIREN cannot play a CD while it is being ripped. However, songs from the music library can be played-back while a CD is being ripped.


Help Menu

Alt+H

Menu Bar

The Help menu assists you in operating SIREN.

What type of help do you want to access?

Contents and Index

Keyboard Shortcuts

Tip of the Day

Instant Upgrade

Check for Update

Sonic Foundy on the Web

About Sonic Foundry SIREN


Contents and Index

F1

Help Menu

To access the Help Contents

  1. Choose Contents and Index from the Help menu.

  2. Use the Contents, Index, and Search tabs to locate the desired topic.


Shortcut Keys

Keyboard Shortcuts

Shortcut Keys allow you to control SIREN Jukebox using the keyboard, and are available for many of SIREN's functions and features. SIREN's Shortcut Keys are arranged below in tables according to function.

Which Keyboard Shortcuts do you want to use?

General

Command | Keyboard Shortcut
Create new playlist | Ctrl+N
Open song's properties | Alt+Enter
On-line help | F1
Exit SIREN | Alt+F4

Window View

Command | Keyboard Shortcut
Manage My Music Library view | Alt+1
Play or Record Music CDs view | Alt+2
Explore Files view | Alt+3
Show Internet Media view | Alt+4
Internet Radio view | Alt+5
Burn CD view | Alt+6
Portable Player view | Alt+7
Compact Mode | Ctrl+M

Edit

Command | Keyboard Shortcut
Select all | Ctrl+A
Delete selection | Delete
Rename selection | F2
Copy selection | Ctrl+C
Cut selection | Ctrl+X
Paste selection | Ctrl+V
Undo last action | Ctrl+Z

Playback

Command | Keyboard Shortcut
Play/Stop playback | Ctrl+Spacebar
Previous song | Ctrl+Up
Next song | Ctrl+Down
Pause/Play playback | Pause
Continuous play | Ctrl+L
Randomize play | Ctrl+K
Mute | F11
Rip to Library | Ctrl+R
Write to CD | Ctrl+W
Send to portable player | Ctrl+Shift+W

Internet

Command | Keyboard Shortcut
Get CD Info | Ctrl+I
Get Music | Ctrl+G

Menus

Command | Keyboard Shortcut
File | Alt+F
Edit | Alt+E
View | Alt+V
Skins | Alt+K
Transport | Alt+T
Sites | Alt+S
Options | Alt+O
Help | Alt+H


Tip of the Day

Help Menu

Use the Tip of the Day command to display helpful and handy tips to increase your productivity with SIREN. Choose Tip of the Day from the Help menu. The Tip of the Day dialog is displayed.

The Tip of the Day dialog is displayed each time SIREN is launched. To disable this feature, clear the Show tips at startup check box in the Tip of the Day dialog.


Register SIREN

Register SIREN Jukebox

Help Menu

SIREN can be registered by choosing Register SIREN from the Help menu. SIREN launches an internal browser and connects to the registration page of the Sonic Foundry Web site. You need only complete the registration fields and submit the information. For information on Registering SIREN, click here.


Instant Upgrade

Help Menu

Choose Instant Upgrade from the Help menu to quickly upgrade to the newest version of SIREN Jukebox, and either purchase it or try it for free.


Check for Update

Help Menu

Choose Check for Update from the Help menu to connect to the Sonic Foundry Web site in search of SIREN updates. The web site contents are displayed in the Internet Media tab.


Sonic Foundry on the Web

Help Menu

Choose Sonic Foundry on the Web from the Help menu to launch the internal browser and connect to Web pages pertaining to SIREN and Sonic Foundry.


About

About Sonic Foundry SIREN™ Jukebox

Help Menu

Use the About Sonic Foundry SIREN command to display information about SIREN Jukebox, such as the licensed owner, copyright and system information, program version, and serial number.

When contacting Technical Support, click on the Computer tab to quickly access your computer's specifications.

To view information about SIREN and the computer

From the Help menu, choose About Sonic Foundry SIREN.


Supported Media Files

Media Files

A media file refers to any audio or video file SIREN Jukebox plays from the computer. The supported media files are listed below:

File Type | Extension | Description
Wave (Microsoft) | .wav | Standard audio format for Windows-based computers.
Video for Windows | .avi | Standard audio/video format used on Windows-based computers.
MP3 Audio Layers 1, 2, and 3 | .mp3, .mp2 | Popular audio compression format. SIREN will create and play .mp3 files.
Sonic Foundry's Perfect ClarityTM Audio | .pca | New Sonic Foundry Lossless compression technology.
Windows Media Audio 7 | .wma | Microsoft compression format that provides security features to prevent unauthorized duplication. SIREN will create and play .wma files.
Windows Media Video 7 | .wmv, .asf | Microsoft standard for streaming media via the Web. This option renders both audio and video into one file.
Audio Interchange File Format | .aif, .aiff, .snd | Standard audio format used on Macintosh computers.
Sonic Foundry Wave64 | .w64 | Same as the standard Microsoft Wave (*.wav) files except there is not a 2 gig limit.
Vorbis | .ogg | Audio compression format from Vorbis.
MPEG Audio Layers 1, 2, and 3 | .mpg, .mpeg, .m1v, .m1a, .mp2, .mp3 | Moving Picture Experts Group audio/video format.
QuickTime | .mov, .qt, .dv | Standard audio/video format used on Macintosh computers.


Playing Media

SIREN Jukebox can play several different audio and video file formats in addition to tracks on music CDs.

What do you want to do?

Play a CD

Play a media file


Playing Media from the Media Library View

Playing media files from the Media Library View

After music is recorded from a CD, downloaded from the Internet, or created using Sound Forge or ACID, it can be added to the Media Library for playback. Video files may also be played from the Media Library.

To playback media from the Media Library View

  1. Click on the Media Library tab in the Media Manager panel. All views are displayed below My Media.

  2. Select the desired view for playback. The media files associated with that view are displayed in the media list to the right.

  3. To play a song or video clip, click on it and click the Play button [image] located in the Play Controller panel. SIREN plays the current song or video clip and continues playback through the folder.

Playback can also be initiated by double-clicking a song or video clip.


Playing Music from a Drive Location

Playing Media from a Computer or Drive Location

Media is typically played from the Media Library tab, but can also be played from a folder on the computer or a network drive. Links to these media files can be added to the Media Library for easy access.

SIREN cannot play secured .wma files from a network drive, but can play and copy .wav, .mp3, and unsecured .wma files from a network.

What do you want to do?

Play media from the computer or a network drive

  1. Click the Explore Files tab in the Media Manager panel to display all drives and folders.

  2. Locate and select the song or video clip you want to play.

  3. Click the Play button [image] in the Play Controller panel. SIREN plays all media in the folder.

Playback can also be initiated by double-clicking on a song or video file.

Add media from the computer or a network drive to the Media Library

Perform one of the following:

  • To add several media files from the computer to the Media Library, choose Search Computer for Music from the Options menu.

  • To add files from the computer or a network drive to the Media Library, select the file in the Explore Files tab and click the Add to Library button [image], or choose Add to Library from the File menu.

If links to songs or video clips on a network drive are added to the Media Library, they are only available when the computer is connected to the network. Attempting to play media from a network when the computer is disconnected will result in an error message. However, the situation can be avoided by simply creating a filter and allowing only media files with an appropriate file path (typically C:) to be played.


Using the Play Command Field

The Play Command field allows you to initiate playback from a view or playlist with a single mouse click.

To use the Play Command field

  1. Display any view or playlist.

  2. Display the Field Chooser.

  3. Drag the Play Command field from the Field Chooser and drop it in the column heading of the media list. A Play Command column appears.

  4. Click anywhere in the Play Command column. Playback begins with the adjacent media file and continues through the view or playlist.


Playing Media from Windows Explorer

SIREN allows you to also play media files from Windows Explorer window.

To play media files from Windows Explorer

Do one of the following:

  • Drag and drop a selected media file or folder to an open session of SIREN. When multiple files are moved, they are played in the order selected.

  • Double-click on a media file. The file is played if SIREN is defined as the default player for that file type in the Configuration Wizard.

  • Enter the path of a media file on a command line. The file is played if SIREN is defined as the default player for that file type in the Configuration Wizard.

SIREN creates a temporary playlist in the Play Controller panel containing the file(s) selected in Explorer.


Playing CDs

SIREN will playback audio CDs from the computer's CD-ROM drive. If the computer is configured to play CDs automatically, SIREN initiates playback as soon as the CD is placed in the CD-ROM drive.

When playing a CD, SIREN's Transport Bar and Transport menu control playback.

To play a CD

If the computer is not configured to play CDs automatically, or to play a CD currently in the CD-ROM drive:

  1. Click on the Play/Rip CD tab in the Media Manager Panel.

  2. Select the drive containing the CD. If the desired drive is not listed, specify it from the drop-down list. SIREN displays the available tracks and attempts to retrieve and display CD information from local databases or from the CD itself.

If this information is not available, the songs are listed numerically. You may attempt to retrieve CD information from the Internet using CDDB.

  3. Click the Play button [image] on the Transport Bar. SIREN creates a Current Playlist and plays the entire CD, starting with the first track. To begin playback with an alternate track, double-click the track or highlight it and click the Play button [image].


Playing CDs Automatically

By default, Windows is configured to play CDs automatically. Therefore, you generally only need to set SIREN as the default player to automatically play CDs in SIREN. If the computer does not play music CDs automatically, modify the Windows settings.

You cannot configure system autoplay for Windows NT and 2000 through the user interface. By default, autoplay is typically enabled for these operating systems. Some other software applications may disable this feature. Consult your software documentation for more information.

What do you want to do?

Set SIREN as the default music player

  1. Choose Configuration Wizard from the Options menu.

  2. Proceed to the Set Default Player dialog.

  3. Select the Set as Default Player when Audio CD is Inserted check box and click on the Finish button. SIREN displays a message box when the configuration is complete.

  4. Click OK to close the Wizard.

Configure Windows to play CDs automatically when inserted in the CD drive (Windows 98 and ME only)

  1. Open the System Properties dialog box.

  2. Click the Device Manager tab.

  3. Click the plus sign next to CD-ROM to display a list of devices.

  4. Right-click the appropriate CD drive and click Properties.

  5. Click the Settings tab to display the CD-ROM settings.

  6. Select the Auto insert notification check box and click OK.

This options applies to all CDs, including games, multimedia, and audio CDs. To prevent CDs from playing automatically, clear the Auto insert notification check box. Pressing the Shift key when inserting a CD overrides Auto insert.


Viewing Video Files from CDs

Use the Explore Files tab to view videos stored on a CD. These files are viewed in the Display panel.

To view videos from a CD

  1. Place the CD in the CD-ROM drive.

  2. Click the Explore Files tab in the Media Manager panel.

  3. Navigate to the file containing the media to be played.

  4. Initiate viewing by clicking on the Play button [image] on the Transport Bar. To begin playback with a different track, double-click the file or highlight it and click the Play button.


Organizing Media

Organizing your Media

Media in the Media Library tab can be categorized, sorted, and filtered. SIREN organizes media based on information provided with the file, including artist, album, and genre. If information is not available for a file, SIREN places it in an Unknown folder in each category.

In addition to predefined organization included in the Media Library tab, SIREN can create custom playlists.

What do you want to learn about?

Getting CD information over the Internet

How SIREN retrieves song information

Adding/Editing song information manually

Auto Rename Files command

MP3 files and ID3 tags

Rating Media

Exporting Media Library file information


Getting CD Information

Ctrl+I

File Menu

If SIREN can access song information about a CD (either from the CD itself, or from a local database), it reads and displays this information. However, if this information is not available, SIREN can retrieve information over the Internet from the Compact Disc Database (CDDB). Once SIREN obtains information from CDDB, it is saved to a local music database.

Access CD information by choosing CD Info, then Get from the File menu, or by clicking on the Get CD Info button [image] in the Media Manager panel

Prior to using CDDB for the first time, you must configure the music database preferences using the Configuration Wizard or the CD Info tab of the Preferences dialog.

What do you want to know about?

Accessing song information using CDDB

  1. Complete the configuration in the CD Info tab of the Preferences dialog. This provides specifications for SIREN's retrieval and storage of song information.

  2. Verify that the computer is connected to the Internet.

  3. Place a CD in the CD-ROM drive and click on the Play/Rip CD tab in the Media Manager panel. If SIREN is configured to automatically retrieve CD information, it is accessed and displayed.

  4. If SIREN is not configured to automatically retrieve CDDB information, click on the Get CD Info button [image] in the Media Manager panel.

What to do if SIREN is experiencing problems connecting to CDDB

  1. Choose Preferences from the Options menu.

  2. Click the CD Info tab.

  3. Click Get Sites. All available CDDB sites are listed.

  4. Select a site and click Apply. SIREN will now connect to the updated CDDB site to retrieve CD information.

Submitting CDDB information manually

If you encounter a CD without CDDB information, you can submit information to CDDB. This information is added to the database and made available for future users.

  1. Inset a CD for which CDDB has no information and click on the Play/Rip CD tab.

  2. Manually enter the CD information.

  3. Click on the Submit CD Info button [image] or choose CD Info, then Submit from the File menu. SIREN attempts to connect to CDDB and submit the information.

  4. If CDDB submission is successful, you will receive an e-mail notification. Anonymous users, however, will not receive notification of submission problems.


How SIREN Retrieves Song Information

When an audio CD is inserted into the computer's CD-ROM drive, SIREN attempts to retrieve and display song information. Once this information is retrieved, SIREN places it in a local database for future retrieval and displays the artist, album, and genre in the Library Info Bar. In addition, SIREN replaces the generic track listing in the Play/Rip CD tab with song titles.

SIREN attempts to retrieve song information in the following ways:

  • The SIREN CD information database: SIREN saves song information to this database for future retrieval, regardless of whether is is added manually or obtained from CDDB. When a CD is inserted, SIREN first looks here for information.

  • The cdplayer.ini file: Several Windows-based applications, including the Windows CD Player, use this file to store CD information. SIREN looks in this file for CD information, only if it is not available in the SIREN CD database. When information is added manually or obtained from CDDB, you can save the information to the cdplayer.ini file for other applications. To do this, choose CD Info, followed by Save to CDPLAYER.INI Now from the File menu.

You must configure SIREN's preferences to use the cdplayer.ini file.

  • The CD-TEXT on the CD: Some newer audio CDs embed song information as CD-TEXT. If SIREN cannot locate song information in its database or the cdplayer.ini file, it attempts to retrieve it from the CD itself. If SIREN locates this information, it stores it in the local database. You must configure SIREN's preferences to use this file.

Not all CD drives can read CD-TEXT information. Check the CD drive specifications of the CD drive before purchasing.

If SIREN is unable to retrieve song information using one of the methods described above, it displays generic track information. You can then add song information using one of the following methods:

  • Obtain information over the Internet using CDDB.

  • Add information manually.

Once song information is entered, SIREN stores it in its local database for future retrieval.


Adding Song Information Manually

Generally, SIREN retrieves and displays song information from a CD or local database. When this information is unavailable, SIREN can connect to CDDB, either automatically or when prompted by the user. If SIREN cannot connect to CDDB, or the appropriate CD information is not available, SIREN displays generic song information. For example, when inserting a CD that does not contain song information, SIREN simply lists the tracks numerically. In cases like this, information can be added or edited.

Prior to ripping from a CD for which SIREN was unable to retrieve song information, you should manually enter song titles, artist, and album. This allows SIREN to copy this information with the audio tracks.

What do you want to do?

Manually add or change CD information

  1. From the Edit menu, choose Rename, or right-click the selected song and choose Rename from the shortcut menu.

  2. Enter the correct information and press Enter.

Manually add or change song information

  • Select the song, and click in the cell below the column to be edited. SIREN is placed in edit mode. Enter the correct information and press Enter.

  • Select the song, and choose Properties from the File menu or the shortcut menu. Edit the information in the Properties dialog and click OK.

When song information is edited, SIREN reorganizes the song in the Media Library tab. If the new artist, album, or genre information does not have a category, SIREN creates a new view and places the song in it.

Only the following fields are editable: Album, Artist, Comment, Genre, Name, Track, Volume Name, and Year.


Rating Media

You can rate any song or video in your Media Library on a ten-point scale, and then use that rating to organize your media. Rating is done from either the Play Controller Panel or from the Media Library tab using the diamod-shaped icons. Each half of the diamond represents one point ( [image]).

To rate a media file from the Media Library tab

  1. Display the desired file.

  2. Verify that the Rating field is displayed as a column heading. For more information, click here.

  3. Click on the diamond that represents your rating for the song or video.


Exporting Media Library Information

Exporting Media Library File Information

SIREN allows you to export your media file information to a text file. You can export either your entire Media Library or only the files you have selected.

What do you want to do?

Export the Media Library to a text file

  1. Right-click on any view in the Media Library tab and choose Export Library from the shortcut menu. The Export Library dialog displays.

  2. Specify a location and name for the file and click on the Save button.

    The text file can now be opened into spreadsheet or database programs. With this procedure, the entire library exports regardless of which view was used to perform the export.

Export selected files to a text file

  1. From the Media Library tab, select the files that contain information you want to export.

  2. Right-click on one of the selected files and choose Export to Text File from the shortcut menu. The Export to Text File dialog appears.

  3. Specify the headers you want to include in the text file by dragging them from the Available Headers side of the dialog to the Include Headers side. Once the headers are chosen, they can be reordered by using drag and drop.

  4. Click on the Export button. The Save Text File dialog appears.

  5. Specify a location and a name for the file and click on the Save button.

    The text file can now be opened into spreadsheet or database programs. To append to an existing text file, repeat steps 1-3. Once the headers are chosen, click Append. Located a select the original file and click on the Open button. The newly selected file information appends to the end of the original file.


Importing and Exporting Playlists

SIREN allows you to import and export playlists to a file.

What do you want to do?

Import a playlist

  1. From the Options menu, choose Search Computer for Media. The Search Computer dialog appears.

  2. Select the Known Playlists check box and click on the Search button. SIREN searches the computer for previously created playlists (.m3u or .pls) and adds them to the Media Library.

Export a playlist

  1. Click on the Media Library tab.

  2. Select a playlist to export.

  3. Right-click and choose Export Playlist from the menu. The Export Playlist dialog is displayed.

  4. Specify a location and name for the .m3u file and click on the Save button.


Locking Views and Playlists

Once a view or playlist is created and configured to your satisfaction, it can be locked to prevent accidental deletion.

To Lock a View or playlist

Right-click on the view or playlist name and choose Locked from the shortcut menu. A check mark is displayed adjacent to the Locked command and subsequent right-clicking on the locked view or playlist displays and unavailable Delete option.

To unlock a view or playlist, right-click on it and choose Locked from the shortcut menu.


Advanced Music Management

SIREN features a number of advanced database tools designed to help you gain superior control over their media libraries and listening/viewing habits.

What would you like to learn more about?

Field Chooser

Sorts

Groups

Filters

Combining Sorts, Groups, and Filters


Field Chooser

Using the Field Chooser

The Field Chooser allows you to determine the database categories used to display, sort, group, and filter their media libraries.

Field Type | Format | Description
Integer | Kilo Number | Takes any number and divides it by 1000. For example, 4500/1000 = 4.5. The current Bitrate field uses this format.
Integer | Number | Any positive or negative number.
Integer | Positive Number | Any non-negative number. The current Track field uses this format.
Integer | Size | A positive number displayed with Kb or Mb.
Rating | Rating | Five diamonds representing a range of 1-10. Each half of a diamond represents a one-point increment. The current Rating field uses this format.
Text | Text | Any string of text
Text | URL | Any string of text. Clicking on the entry in the media list causes SIREN to switch to the internal browser and link to the site. The current Label URL field uses this format.

What do you want to do?

Display the Field Chooser

Do one of the following:

  • Click on the Field Chooser button [image] in the database toolbar.

  • Right-click in the database toolbar and choose Field Chooser from the shortcut menu

Add fields to the media list

  1. Display any view or playlist.

  2. Click on the Field Chooser button [image] to display the Field Chooser.

  3. Drag the field from the Field Chooser and drop it into the media list's column heading. When the field is properly positioned, two small, red arrows appear above and below the row. Show me.

    After the field is dropped, a new column is added to the media list and all fields in the list display a value, if applicable.

Remove fields from the media list

Right-click on the field and choose Remove This Column from the shortcut menu.

Read about editable and non-editable fields

Select fields are populated with information retrieved directly from the media file, the CD, or a local database. This information may be permanent or subject to editing. Other fields rely on user input for their information. The following table lists all available fields and identifies each as either editable, or non-editable.

Field | Status
Added | Not editable
Album | Editable
Artist | Editable
Bitrate | Not editable
Comment | Editable
File Path | Not editable
File Size | Not editable
File Type | Not editable
Genre | Editable
Label | Editable
Label URL | Editable
Last Played | Not editable
Length | Not editable
Media Type | Not editable
Name | Editable
Play Command | Not editable
Played | Not editable
Rating | Editable
Track | Editable
Video FPS | Not editable
Volume Name | Editable
Year | Editable

Create custom fields in the Field Chooser

You can create custom fields for use in the media list to gain unlimited flexibility with organizing you Media Library. For example, creating a field called Situation allows you to identify music specifically for a soothing dinner or an energetic workout.

  1. Click on the Field Chooser button [image] . The Field chooser dialog is displayed.

  2. Click on the New button. The New Field dialog appears.

  3. Enter the name of the field to be added.

  4. Specify the type of field from the Type drop-down list, where applicable.

  5. Click on the OK button.

  6. The field can now be used in a column heading, sort, group, or filter.

Remove a custom field from the Field Chooser

  1. Click on the Field Chooser button [image] . The Field chooser dialog is displayed.

  2. Select the field you want to remove and click on the Delete button. The field is removed from the Field Chooser as well as from any views in which it was being used.


Sorts

The Sort Bar, which can be used from any Media Library tab, allows all songs in the media library to be listed, or sorted, by field(s).

What would you like to learn more about?

Display the Sort bar

Use one of these methods:

  • Click on the Sort button

  • Right-click in the database toolbar and choose Show Sort Bar from the shortcut menu

Hide the Sort bar

To hide the Sort bar, click on the Sort button [image], or right-click in the database toolbar and choose Hide Sort Bar from the shortcut menu. Music remains sorted after the Sort bar is hidden.

Sort media

  1. Display the All Media view and the Sort bar.

  2. Select a field from the Field Chooser.

  3. Drag the selected field from the Field Chooser and drop it into the Sort bar. The field is added to the Sort bar, and depicted with a small, up-pointing arrow.

All artists represented in the All Media view are sorted and listed from from A to Z.

  4. Click [image] in the Sort bar. The arrow turns down and the list is reversed; in this case, from Z to A by artist.

Clicking a field bar in the Explorer panel's head row automatically adds that field to the Sort bar.

Sort media using multiple fields

Media may be sorted using multiple fields. Using the previous procedure, users can add additional fields to the Sort bar. Once in the Sort bar, fields can be arranged into a user-specified order, with the left-most field always being the primary sort category.

To remove fields

  • To remove a single field from the Sort bar, right-click on the field and choose Remove This Sort from the shortcut menu.

  • To remove all fields from the Sort bar, right-click on a field and choose Remove All Sorts from the shortcut menu.


Groups

The Group bar can be used in any Media Library view, and allows all songs in the music library to be grouped by field(s).

What would you like to learn more about?

Display the Group bar

Use one of the following methods:

  • Click on the Group Bar button [image].

  • Right-click in the database toolbar and choose Show Group Bar from the shortcut menu

Hide the Group bar

To hide the Group bar, click on the Group Bar button [image], or right-click in the database toolbar and choose Hide Group Bar from the shortcut menu. Music remains grouped after the Group bar is hidden.

Group music

  1. Display the Media Library view and the Group bar.

  2. Drag a field from the Field Chooser to the Group bar. All songs in the music library are grouped by the selected field.

  3. Drag a second field from the Field Chooser to the Group bar. All songs all sorted by this secondary field, within the primary field.

Group music using multiple fields

Using the previous procedure, users can continue adding fields to the Group bar. Once in the Group bar, fields can be arranged into a user-specified order, with the left-most field being the primary grouping.

Remove fields

  • To remove a field from the Group bar, right-click on the field and choose Remove This Grouping from the shortcut menu.

  • To remove all fields from the Group bar, right-click on a field and choose Remove All Groupings from the shortcut menu.

Save grouped music

Do one of the following:

  • Click on the New View button [image].

  • Right-click in the Group bar and choose Make New View from the shortcut menu


Filters

The Filter bar can only be used in Media Library tab. Filters allow you to select (or filter) songs that fit a user-specified criteria.

What would you like to do?

Display the Filter bar

Use one of the following methods:

  • Click on the Filter Bar button [image].

  • Right-click in the database toolbar and choose Show Filter Bar from the shortcut menu

Hide the Filter bar

To hide the Filter bar click on the Filter Bar button [image], or right-click in the database toolbar and select Hide Filter Bar from the shortcut menu. Music remains filtered after the Filter bar is hidden.

Create a filter

  1. Display the Filter Bar

  2. Drag a field from the Field Chooser and drop it in the Filter bar. The field is added to the Filter bar and displayed with a corresponding drop-down list and edit field.

  3. Specify a filter option from the drop-down list and enter a value in the adjacent edit field.

  4. Press Enter, or right-click in the Filter bar and choose Apply Filter from the shortcut menu. The filter is applied, and only songs that pass the user-defined filter are listed.

Add a second filter

  1. Drag a second field from the Field Chooser to the Filter bar. The newly added field, with its corresponding drop-down list and edit field, are displayed beneath the initial field filter.

  2. Specify a filter option from the new drop-down list and enter a value in the new edit field.

  3. Press Enter, or right-click in the Filter bar and choose Apply Filter from the shortcut menu. The second filter is applied, and only songs meeting both user-defined criteria are listed. Once added to the Filter bar, fields cannot be rearranged.

Remove fields from a filter

  • To remove a field from the Filter bar, right-click on the field and choose Remove This Filter from the shortcut menu.

  • To remove all fields from the Filter bar, right-click on a field and choose Remove All Filters from the shortcut menu.

After a filter is removed, the view must be refreshed by clicking the Refresh button [image].

Save a filter as a new view

  1. Click on the New View button [image].

  2. Enter a name for the new view and press Enter.


Using Sorts, Groups, and Filters

Combining Sorts, Groups, and Filters

While sorts, groups, and filters can be used independently of each other, they can also be used in conjunction with one another. Combining these features allows you to locate the perfect song for any situation.

When database functions are combined, they are always applied in Group-Sort-Filter order.


Preferences - Transcoding Tab

Options Menu

SIREN's auto-transcoding feature allows you to convert music, selected for download to a portable player, to a different file format or bitrate. First, however, you must specify the transcoding settings for the portable player. This procedure can be done before or after files have been selected for downloading. You can also store the transcoding settings in a custom template so that you do not have to access and specify settings in the Custom Settings dialog every time you want to use these settings.

What do you want to do?

Configure SIREN for auto-transcoding

  1. From the Options menu, choose Preferences and click on the Transcoding tab (or click on the Auto-Transcoding Settings button [image] in the Portable Player tab.

  2. Specify a transcoding format from the Auto-transcode format drop-down list.

  3. Select the transcoding bitrate from the drop-down list (available ripping formats vary based on the selected transcoding format).

  4. Click on the Custom button to specify custom settings. For information on each setting available in the Custom Settings dialog, click on the What's This? help button and then on the item.

  5. Click OK. The dialog closes and SIREN's main screen displays.

  6. Click on the Auto-Transcode check box near the command bar.

When songs are sent to the portable player list, those that can be transcoded have a status of Transcode Pending. Files that do not require transcoding will have a status of Waiting to Transfer. The files are transcoded automatically when you initiate the download process.

Save transcoding settings in a custom template

This procedure assumes that you have specified all settings for the transcoding format.

  1. From the Custom Settings dialog (via clicking on the Custom button) enter a new name in the Template text box.

  2. Click on the Save Template button [image]. The settings are saved in a custom template under the specified name.

Once created, your custom template is listed at the bottom of the Transcoding tab Bitrate drop down box for future use. To delete a template, click on the Delete button [image].


Managing a Portable Player

Managing the Portable Player

In addition to downloading music files to portable players, SIREN also manage files. However, management options vary according to the make and model of the portable player.

What do you want to do?

Initialize portable player memory modules

Rename songs stored in the portable player

Create portable player folders

Delete songs from the portable player


Initializing Portable Player Memory Modules

Portable players have built-in flash memory modules. In addition, some models allow you to add removable flash memory modules for expanded storage. When initializing a memory module, all music stored in the module is deleted, leaving the entire memory available for new music.

To initialize a portable player memory module

  1. Verify that the player is properly connected to the computer, as described in the player's documentation.

  2. Select the Portable Player tab in the Media Manager to display the folder(s) or list of songs on the device.

  3. Select the memory module to be initialized.

  4. Click on the Initialize button [image]. The Format Confirmation message box is displayed asking if you are sure you want to format internal flash memory.

  5. Click Yes. SIREN deletes all songs from the memory module.


Renaming Songs Stored in a Portable Player

Renaming Songs Stored in the Portable Player

SIREN allows you to rename songs stored in certain portable players.

To rename a song stored in the portable player

Right-click on the song and select Rename from the shortcut menu.


Creating Portable Player Folders

Certain portable player models support folders. If the player supports this feature, the New Folder button is available, and you can create folders within memory modules. Existing folders can be displayed by clicking the plus sign (+) located to the left of the memory module icon.

An unlimited number of folders can be created, but subfolders are not supported.

To create a new folder

  1. Verify that the portable player is properly connected to the computer, as described in the player's documentation.

  2. From the Portable Player tab, select the memory module from the drop-down to which you want to add a folder.

  3. Click on the New Folder button [image] in the toolbar of the Portable Player tab. SIREN creates a new folder with a default name and displays it beneath the selected memory module.

  4. Name the folder and press Enter.

  5. Move songs to the folder by simply selecting it prior to sending songs to the portable player list.


Deleting Songs from the Portable Player

SIREN allows you to delete songs from a portable player, freeing memory space for new music.

To delete a song from the portable player

  1. Verify that the portable player is properly connected to the computer, as described in the player's documentation.

  2. Select the Portable Player tab in the Media Manager panel to display the folder(s) or list of songs on the device.

  3. Select the folder or song(s) to be deleted.

  4. Click on the Delete [image] button. The Delete Confirmation message box displays asking if you're sure you want to delete the song.

  5. Click Yes. SIREN deletes the selected song(s) from the player's memory.


Preferences - CD Settings Tab

Options Menu

The CD Settings tab of the Preferences dialog allows you to specify settings for SIREN to use when burning, playing, or ripping from CDs.

What do you want to do?

View CD Settings tab options

Option | Description
Burn to CD drive | Specify the CD-R or CD-RW drive that will be used to write CDs.
Burn to CD speed | Set the write speed of the CD-R. Setting the speed to Max writes CDs at the drive's maximum speed, but may cause buffer underruns . If buffer underrun errors are encountered while writing CDs, decrease this value.
Play from CD speed | Set the CD drive's speed for playing CDs. The default value is 4x.
Rip from CD speed | Set the CD drive's speed for SIREN to rip CDs to the computer. Decreasing the rip speed, decreases the size of the memory buffer required.
Read Optimization | Set the level of CD read optimization. The default value is full.
Advanced | Click Advanced to display advanced CD Settings.

View Advanced CD Settings tab preferences

These preferences are available via clicking on the Advanced button in the CD Settings tab.

Preference | Description
Fill memory buffer before burning | This option configures SIREN to fill the system's memory buffer prior to writing a CD. Disabling this option allows burning to begin immediately, but may result in buffer underruns on some systems.
Allow burning on CD-RW media | Selecting this option allows SIREN to write to CD-RW, but be aware that most consumer-level CD players will not play CD-RW.
Burn to CD in test mode | Selecting this option configures SIREN to perform a write to CD without actually writing data to the disc. This option is useful for testing system performance.
Detect features of unknown drives | Disabling this option allows SIREN to initialize quicker, but prevents SIREN from detecting drives it doesn't recognize internally.
Adjust last track on CD-Extra discs | Disabling this option prevents SIREN from attempting to determine the end of the last audio track on CD-Extra discs. CD-Extra discs have audio tracks in the first session and a data track in the second session. Disabling this option will probably return inaccurate track lengths for the last track. A 3 minute song may appear as a 20 minute song, depending on the amount of data.
Use ASPI on Windows NT | Selecting this option forces SIREN to use ASPI (Advanced SCSI Programming Interface) on Windows NT.
USE SPTI Direct on Windows NT | Selecting this option forces SIREN to use SPTI (SCSI Pass-Through Interface) on Windows NT.
Silence startup glitches | Selecting this option enables detection of silence and removal of glitches when starting CD playback/recording.
Report all CD play errors | Selecting this option reports all CD playback errors.


Creating Custom Audio CDs

To create a custom Audio CD

  1. Verify SIREN is properly configured for creating CDs in the Preferences dialog.

  2. Verify that a supported CD recorder (CD-R or CD-RW) is connected to the computer.

  3. Select the media to be written to the CD from the Media Manager panel.

  4. Click on the Add to Burn List button [image]. The songs appear in the Burn CD tab as a burn list.

  5. Select the Burn CD tab to view the burn list and verify that the Audio CD icon is selected as the Disc Type.

  6. Click the Burn to CD button [image]. The Burning CD dialog displays a progress meter and approximate time remaining in the process.

Sonic Foundry recommends allowing SIREN to complete this operation. Clicking Cancel may render the CD unusable.

  5. When the process is complete, a dialog displays asking if you would like to close the CD session. Closing a CD allows it to be played in consumer CD players. Once a CD is closed, songs can no longer be added.

    • Click Yes to close the CD session and display a dialog with the progress and time remaining.

    • Click No if you want to be able to add songs to the CD. The CD remains at the current position and each song appends to it.

If error messages are displayed during CD writing, refer to Help With Error Messages.


Creating Custom Data CDs

The process for creating data CDs and audio CDs is very similar except that SIREN automatically closes a data CD after the songs are written to the CD. Once it is closed, songs can no longer be added.

To create a custom Data CD

  1. From the Preferences/CD Settings dialog, verify that SIREN is properly configured to burn CDs.

  2. Verify that a supported CD-R/RW drive is connected to the computer.

  3. Select the media to be written to the CD from the Media Manager panel.

  4. Click on the Add to Burn List button [image] . The songs appear in the Burn CD tab as a burn list.

  5. Select the Burn CD tab to view the burn list and verify that the Data CD icon is selected as the Disc Type.

  6. Enter a title for the CD in the Disc Name box and select a directory and filename format.

  7. Click the Burn to CD button [image]. The Burning CD dialog displays a progress meter and approximate time remaining in the process.

Sonic Foundry recommends allowing SIREN to complete this operation. Clicking Cancel may render the CD unusable.

    Once all of the files are written to the CD, SIREN begins closing the data CD immediately. A dialog displays the progress and time remaining.

If error messages are displayed during CD writing, refer to Help With Error Messages.


Exporting the Burn List to a Label.

Use SIREN to export the burn list of your custom CD to the Neato MediaFACE II media labeling software to create and print a CD label.

To export the burn list to a label

  1. Verify that the Neato MediaFACE II labeling software is installed on your computer.

  2. Select the media that contains the information you want to export. If you already have a burn list, continue with Step 3.

  3. Click on the Add to Burn List button [image]. The songs appear in the Burn CD tab as a burn list.

  4. From the Burn CD tab, click on the Export to Label button [image]. The Export Songs to Label dialog appears.

  5. Specify the headers you want to include in the label by dragging them from the Available Headers side of the dialog to the Included Headers side. Once the headers are chosen, they can be reordered using drag and drop.

  6. Click on the Launch MediaFaceII button. The MediaFACE media labeling software displays a Playlist dialog containing the chosen headers from SIREN.

  7. Follow the directions provided with the media labeling software to create and print the label.


Preferences - Ripping Tab

Options Menu

The Ripping tab of the Preferences dialog allows you to specify the format SIREN should use when ripping files to the Media Library. You can rip tracks to the computer in the following formats: .wav, .mp3, .wma, .ogg, or in Sonic Foundry's lossless compression format, .pca (not available to SIRENXpress users).

You can also store the ripping settings in a custom template so that you do not have to access and specify settings in the Custom Settings dialog every time you want to use these settings.

What do you want to do?

Specify the ripping format

  1. From the Options menu, choose Preferences. The Preferences dialog appears.

  2. Select the Ripping tab.

  3. Specify the desired ripping format from the Rip to Library format drop-down list.

  4. Select the ripping bitrate from the drop-down list.

  5. Click on the Custom button to specify custom settings. For information on each setting available in the Custom Settings dialog, click on the What's This? help button and then on the item.

  6. Click Ok to save your settings.

  7. Click on the Use Digital Rights Management check box if you want to only allow the ripped files to be played on the computer from which they were ripped.

  8. Click OK.

Save ripping settings in a custom template

This procedure assumes that you have specified all settings for the ripping format.

  1. From the Custom Settings dialog (via clicking on the Custom button) enter a new name in the Template text box.

  2. Click on the Save Template button [image]. The settings are saved in a custom template under the specified name.

Once created, your custom template is listed at the bottom of the Ripping tab Bitrate drop down box for future use. To delete a template, click on the Delete button [image].


Ripping Bitrates

Available ripping bitrates vary based on the ripping format. The Windows Media Audio (.wma) format offers 6.5, 28.8, 56, 64, 96, 128, and 160Kbps. Conversely, selecting the MPEG Layer 3 Audio (.mp3) format allows you to specify from the following bitrates: 64, 96, 128, 160, 192, 256 or 320Kbps. You can create a custom template to take advantage of a wider range of bitrate options.

SIREN XPress users are limited to 96Kps bitrate in the .wma format and twenty .mp3 encodes. Also, Sonic Foundry's Perfect Clarity Audio (.pca) is not an available format for SIREN Xpress users.


Preferences - Directories Tab

Preferences - Folders Tab

Options Menu

The Folders tab of the Preferences dialog allows you to specify options and locations for storing media files. Following is a description of each option:

Option

Description

Media files folder

Accept the default folder, or click Browse to specify the folder where SIREN will store media files. SIREN uses this folder when ripping music from a CD.

Music Library and playlist database folder

Accept the default folder, or click Browse to select the folder that SIREN will store the music database. SIREN uses this folder to store information about songs and playlists.

When Ripping Files

  • Create no subfolders - Select this option if you do not want sub-directories created when ripping files.

  • Create subfolders \By Artist\By Album - Creates a two level directory structure for your media files. Inside your Media files folder, a folder for each Artist is created. A separate folder for each album will be placed in the Artist's folder. Finally, all the tracks will be located in the Album folders.

  • Create subfolders \By Artist - Album\ - A single level directory structure for the media files. A folder for every album will be created inside the Media files folder. The folder will be named "Artist - Album". All tracks will be located in these folders.


Troubleshooting

Use the links below to answer questions regarding SIREN Jukebox.

What do you want to learn about?

Optimizing performance

Using error messages

Contacting technical support


Optimizing Performance

SIREN Jukebox is designed to perform in a variety of computing environments, however, you should take steps to optimize their system's performance.

What do you want to learn about?

Optimizing performance when writing to CD

There are several methods of optimizing SIREN's performance when creating CDs:

  • Defragment the hard drive

To allow data to be transferred as quickly as possible to and from the hard drive, you should defragment it. This reduces the potential for buffer underruns when writing to CD. If problems are experienced, perform a "files only" defragmentation prior to writing each CD.

  • Use the proper CD media

There are two basic types of blank CD media: cyanine (green-colored front) and pthalocyanine (gold-colored front). The CD-R manufacturer has tuned the recorder to operate optimally with one of these types.

  • Close background programs

Close all background programs to optimize CD writing performance. This includes, not only applications such as Microsoft Word, but also programs such as Microsoft Find Fast, System Agent, and screen savers. If background applications are running while writing to CD, the potential exists for buffer underruns.

  • Log off the network

If the computer is connected to Local Area Network (LAN), disconnect while writing to CD. The increased overhead associated with monitoring network connections may cause buffer underruns. In addition, if another network user accesses the computer while writing to CD, it may be rendered unusable.

When using TCP/IP through a LAN connection (not if TCP/IP is set up using a dial-up adapter), do the following:

  1. Display the Control Panel via clicking on the Start menu\Control Panel and double-clicking on the Network icon. The Network dialog is displayed, listing all network components.

  2. Double-click TCP/IP.

  3. Double-click the name of your network card and select the IP Address tab. If using TCP/IP over a LAN, the Obtain an IP address automatically check box should be selected only if your network has a DHCP server. The DHCP server automatically assigns IP addresses to client machines. If this option is selected, but there is no DHCP server on the network, Windows freezes periodically as it attempts to obtain an IP address. If this occurs while writing a CD, a buffer underrun may result.

Network issues are complex, and Sonic Foundry recommends physically disconnecting the computer from the network, or using a non-networked computer, when writing CDs.

Preventing gapping

Gapping describes the sporadic signal "drop-outs" that prevent SIREN from smooth playback. If gapping is detected during playback:

  • Verify that Read Optimization is set to Full

SIREN's Read Optimization value is defaulted to Full. However, if this value is reconfigured and gapping is being encountered, it should be returned to Full. This setting is located on the CD Settings tab of the Preferences dialog.

  • Increase the amount of RAM available to SIREN

Audio playback features, as well as effects, perform better with increased available RAM. To increase available RAM:

    • Close background applications.

    • Purchase more RAM. However, after 128 MB, the performance will decline.

  • Instruct SIREN to read audio directly from the CD drive, rather than through the sound card.

Generally, SIREN uses the sound card that is installed in the computer for playback. However, some CD drives experience difficulty playing music smoothly through SIREN. If gapping or glitching occurs, clear the Use sound card check box in the General tab of the Preferences dialog. This allows SIREN to read audio directly from the CD drive.


Help With Error Messages

Error Messages

This section provides assistance with error messages that may be encountered while using Siren. Click on a message to view more information.

You have not specified a drive to use.

This error indicates that there is no drive specified. Follow the steps below to select a drive:

  1. From the Options menu, choose Preferences. The Preferences dialog is displayed.

  2. Select the General tab.

  3. Specify the appropriate drive and click OK to save the change.

The SCSI device for the drive could not be opened.

The state of the drive may be compromised for various reasons. Another application might be accessing the drive, or you may have canceled during a critical operation, which has left the drive in a non-functioning state. Click Details to display more information about the error.

The currently selected SCSI device is not a CD-Recordable drive or CD-ROM drive.

You have selected to use a device on the system that is not a CD-Recordable or a CD-ROM drive. Follow the steps below to select a drive:

  1. From the Options menu, choose Preferences. The Preferences dialog is displayed.

  2. Select the General tab.

  3. Specify the appropriate drive and click OK to save the change.

The command failed due to a SCSI IOCTL error.

The state of the drive may be compromised for various reasons. Another application might be accessing the drive, or you may have canceled during a critical operation, which has left the drive in a non-functioning state. Click Details to display more information about the error.

There is no disc in the drive.

The drive is reporting that there is no disc in the drive. This may also happen because the drive does not "like" the particular media that you are using. Try another disc, or a different brand of media.

Another reason for this error may be that the drive hasn't finished reading the disc. In this case, wait a moment for the drive to spin up, then attempt to access it again.

The disc in the drive is a read-only disc.

This error occurs when you try to write to a disc that is read-only. This includes commercially manufactured CDs and closed CD-R discs.

An unknown drive error has occurred.

An error has occurred that Siren does not know how to deal with.

Verify that the SCSI chain is properly terminated, and that you have no conflicting SCSI IDs. Verify all SCSI cables are in working order, and are not especially long.

Try another different disc in the drive, or a different brand of disc media. It is possible that the drive does not recognize the media you are using. The media may also be dirty.

Verify that you are using the latest drivers for the SCSI card, and that you have the most current firmware for the drive.

Click Details to display more information about the error. Keep this information handy for calling technical support.

The drive is not ready.

The drive is not ready to process any commands. This may occur for several reasons:

  • There is no disc in the drive.

  • The disc media is bad.

  • You have just inserted a disc and the drive is in the process of reading.

The state of the drive may also be compromised for various reasons. For example, another application might be accessing the drive, or you may have canceled during a critical operation, which has left the drive in a non-functioning state.

If this is the case, power-down the computer and the drive, and reboot.

The drive is busy processing a command.

The state of the drive may be compromised for various reasons. For example, another application might be accessing the drive, or you may have canceled during a critical operation, which has left the drive in a non-functioning state.

Power-down the computer and the drive, and reboot.

A SCSI error has occurred. Check your SCSI configuration.

Verify the SCSI chain is properly terminated and that there are no conflicting SCSI IDs. Verify that all SCSI cables are in working order, and are not especially long.

Try another disc in the drive, or a different brand of disc media. It is possible that the drive does not recognize the media you are using. The media may also be dirty.

Verify you are using the latest drivers for the SCSI card, and that you have the most current firmware for the drive.

Click Details to display more information about the error. Keep this information handy for calling technical support.

The drive has been reset, most likely by another application or due to a SCSI configuration problem.

This error may occur because another application is accessing the drive. Verify that no other applications are running.

Verify the SCSI chain is properly terminated and you have no conflicting SCSI IDs. Verify all SCSI cables are in working order and are not especially long.

Try another disc in the drive or a different brand of disc media. It is possible that the drive does not recognize the media you are using. The media may also be dirty.

Verify you are using the latest drivers for the SCSI card, and that you have the most current firmware for the drive.

Click Details to display more information about the error. Keep this information handy for calling technical support.

The drive cannot process this PQ list due to the fact it is either too large, or contains an option the drive does not support.

The PQ list you are trying to write is too complicated for the drive. This may also indicate that the drive does not support one or more of the PQ codes you are trying to write.

Click Details to display more information about the error.

The burn failed due to a buffer underrun.

A buffer underrun is caused by the failure of your system to move data from the hard drive to the CD-R drive rapidly enough. Try writing at a lower speed.

The disc is blank.

If you try to read audio from a blank disc, this message is displayed. Siren can only read audio from a previously created Red Book audio CD.

The disc is not blank.

If you try to write audio to a disc that has already been written upon, this message is displayed. Siren cannot write audio to a disc that is closed, or to a full disc.

A drive hardware error has occurred.

This error indicates that there has been a hardware failure in the drive. Click Details to display more information about the error.

The disc is either dirty or corrupted.

An error has occurred because the disc could not be read properly. This indicates that the disc media is either dirty or corrupted. Try another disc.

The disc is not of a media type that is supported by this drive.

This error indicates that the drive that you are using does not support the current media. Verify that you are using the type of media recommended by your drive manufacturer, and that the media is clean and uncorrupted.

The drive has received an illegal command.

The state of the drive may be compromised for various reasons. For example, another application might be accessing the drive, or you may have canceled during a critical operation, which has left the drive in a non-functioning state.

Click Details to display more information about the error.

A play error has occurred.

This error occurs if Siren had trouble playing an audio track. Verify that the disc is clean and try again.

The drive failed to load or eject a disk.

This error indicates that the disc could not be loaded or ejected. The tray may be locked.

A read error occurred. The disc may be dirty or corrupted.

An error has occurred because the disc could not be read properly. This indicates that the disc media is either dirty or corrupted. Try another disc.

A write error occurred. The disc may be dirty or corrupted.

An error has occurred because the disc could not be written to properly. This indicates that the disc media is either dirty or corrupted. Try another disc.

A seek error occurred. The disc may be dirty or corrupted.

An error has occurred because the disc could not be read properly. This indicates that the disc media is either dirty or corrupted. Try another disc.

The disc has changed.

The state of the drive may be compromised for various reasons. For example, another application might be accessing the drive or you may have canceled during a critical operation, which has left the drive in a non-functioning state.

Power-down the computer and drive, then reboot.


Glossary

A B C D E F G H I L M P Q R S T U W

A

ACID

Sonic Foundry's ACID is a loop-based music creation tool. With loop arranging and editing, ACID gives musicians unprecedented creative flexibility.

Advanced SCSI Programming Interface (ASPI)

A standard SCSI software interface that acts as a liaison between host adapters and SCSI device drivers. ASPI enables host adapters and device drivers to share a single SCSI hardware interface.

Album

A collection of music. SIREN refers to CDs as albums.

Analog

The original sound waveform, which can be converted into digital data or recreated from a digital file. CDs store information as digital data. SIREN converts the signal from digital to analog form so you can hear it.

Artist

The person or band who recorded the music file or CD. SIREN displays media information in the Media Library and in the properties Library Info tab.

B

Top

Bandwidth

Refers to the EQ plug-in that is built in. Each frequency band has a width associated with it that determines the range of frequencies that are affected by the EQ. An EQ band with a wide bandwidth will affect a wider range of frequencies than one with a narrow bandwidth.

Bit

A bit is the most elementary unit in digital systems. Its value can only be 1 or 0, corresponding to a voltage in an electronic circuit. Bits are used to represent values in the binary numbering system. As an example, the 8-bit binary number 10011010 represents the unsigned value of 154 in the decimal system. In digital sampling, a binary number is used to store individual sound levels, called samples.

Bit Depth

The number of bits used to represent a single sample. All CDs from your personal collection that work in CD players use a bit depth of 16-bit.

Bitrate

The amount of digital information being stored per second of audio. In general, the higher the bitrate, the better the sound quality, but the larger the file size. In SIREN, you can set the encode quality used to record music from CDs to .wma files to 64 Kbps (near CD quality), 96 Kbps (CD quality), or 128 Kbps (transparency). Set this option in the Preferences window General tab.

Block Error Rate (BLER)

The raw number measurement of errors that occur as a CD player or CD-ROM drive reads a disc.

Browser

A viewer, known as a Web browser, for the World Wide Web. Netscape Navigator and Internet Explorer are browsers.

Buffer Underrun

Occurs when data from the hard drive cannot be accessed as fast as the software attempts to write it to the CD. This is the most common problem when writing CDs and tends to render the CD unusable.

Byte

Refers to a set of 8 bits. An 8-bit sample requires one byte of memory to store, while a 16-bit sample takes two bytes of memory to store.

C

Top

Capacity

The amount of data that can be recorded and replicated on a CD. Normal capacity of a CD is 74 minutes and 30 seconds of audio or 654.7 Megabytes (Mb).

CD Info

Information that SIREN can retrieve about an audio CD if the CD itself does not include this information. You can save this information to a local database on your computer. SIREN automatically saves this information as you record audio tracks.

CD Information Database

SIREN saves song information to this database for later retrieval when you add it manually or obtain it from CDDB. When you insert an audio CD, SIREN looks here first to find a match. If information for the CD does not exist in this database, SIREN looks in the cdplayer.ini file and the CD-TEXT on the CD itself. Set your preferences to enable SIREN to use this file.

cdplayer.ini file

Several Windows-based applications, including the Windows CD Player, use this file to store CD information. SIREN looks in this file for CD information if it is not available from the SIREN CD information database. When you add information manually or obtain it from CDDB, you can then save the information to this file so that it will be available to other applications. Set the preferences to enable SIREN to use this file.

CD-ROM Drive

Also known as a CD-ROM player. The CD-ROM drive is the hardware piece used to read data from a compact disc.

CD Drive

Refers to CD-ROM, CD-R, and CD-RW drives.

CD-TEXT

Some newer audio CDs embed song information as CD-TEXT. If SIREN cannot find the song information on either its local database, or the cdplayer.ini file, it attempts to retrieve it from the CD itself. If it finds this information, it stores it in a local database. Set your preferences to enable SIREN to use this file. Not all CD-ROM drives can read CD-TEXT information.

Clipboard

The clipboard is where data that you have cut or copied is stored. In SIREN, you can cut or copy text while in edit mode. You can then paste the data back into SIREN at a different location or paste it into other applications, such as Microsoft Word, or another instance of SIREN.

Clipping

Clipping is what occurs when the amplitude of a sound is above the maximum allowed recording level. In digital systems, clipping is seen as a clamping of the data to a maximum value, such as 32,767 in 16-bit data. Clipping causes sound to distort. In SIREN, you can view the clip value in the Volume Panel.

CODEC

An acronym for Coder/Decoder. Commonly used when working with data compression.

Compact Disc Database (CDDB)

SIREN accesses the Compact Disc Database using an Internet connection. SIREN uses this database to obtain artist, album name, song titles, and other information for the selected CD and then displays that information.

Compact Disc-Digital Audio (CD-DA)

Generally known as a CD, the CD-DA can contain up to 74 minutes of stereo sound. Sound is converted into digital code by sampling sound waves at 44.1 kHz per second and converting each of these sound waves into a stream of 16-bit numbers. Other forms of compact discs (CD-ROM, CD-I and CD-R) all stem from the audio CD. The specification governing the audio CD is the Red Book standard.

Compact Disc-Read Only Memory (CD-ROM)

A compact disc format used to computer data but cannot be played on a music CD player. CD-ROM is a read-only format, to which no information can be written.

Compact Disc-Recordable (CD-R)

Also known as a CD-WO (Compact Disc-Write Once). The CD-R disc is the medium recorded onto when creating custom audio or data CDs. The CD-R disc has a much larger storage capacity than the floppy disk and, as a result, has become a very popular information storage medium.

Compact Disc-Recordable Music (CD-R Music)

Conforms to requirements specified in the SCMS. CD-R music discs contain a special code that indicates royalties have been paid per the 1992 Audio Home Recording Act.

Compact Disc-ReWritable (CD-RW)

An erasable medium used to record audio and other data with CD-RW drives.

Compact Mode

A SIREN view that displays common controls for playing music and takes up little desktop space.

Concealment

Method used to replace missing or damaged data with data that is similar in nature.

Constant Angular Velocity (CAV)

The speed at which the information track of a CD spins in relation to the reading laser. A CAV disc rotates at a constant number of revolutions per second. Data is read faster as the laser head reads toward the outer radii of the disc. The LP is a CAV system at 33-1/3 rpm.

Constant Linear Velocity (CLV)

Refers to the speed at which the information track spins in relation to the reading laser. Because tracks on the CD pass the laser head at a constant velocity, disc rotation must be faster when reading the inner radii of the disc. Typically, the CD is a CLV system.

Continuous Play

A playback option that instructs SIREN to continually play back the current CD or playlist.

Control Byte

Each byte of audio data consists of an 8-bit field, called a control byte. The 8 bits in the control byte are named P, Q, R, S, T, U, V, and W, with each bit representing a subcode channel. The first two bits of the control byte contain timing information that is used to position the driver head and the remaining six bits contain user information.

Crossfade

A type of transition between two pieces of audio. It entails fading out of the first region while the second region is fading in.

D

Top

Data Transfer Rate

The speed from which data can be read from the CD drive.

Decibel (dB)

A unit used to represent a ratio between two numbers using a logarithmic scale. For example, when comparing the numbers 14 and 7, you could say 14 is two times greater than the number 7; or you could say 14 is 6 dB greater than the number 7. Where did we pull that 6 dB from? Engineers use the equation dB = 20 x log (V1/V2) when comparing two instantaneous values. Decibels are commonly used when dealing with sound because the ear perceives loudness in a logarithmic scale.

In SIREN most measurements are given in decibels. For example, if you want to double the amplitude of a sound, you apply a 6 dB gain. A sample value of 32,767 (maximum positive sample value for 16-bit sound) can be referred to as having a value of 0 dB. Likewise, a sample value of 16,384 can be referred to having a value of -6 dB.

Device Driver

A program that enables Windows to connect different hardware and software. For example, a sound card device driver is used by Windows software to control sound card recording and playback.

Digital Audio Extraction (DAE)

SIREN uses DAE to read music from CDs as the first step of the recording process. The second step is encoding. SIREN uses DAE and then encoding when it records music from a CD to your computer.

DRM - Digital Rights Management

The secure exchange of intellectual property, such as copyright-protected music or text, in digital form over the Internet or other electronic media, such as CDs and removable disks. DRM allows content owners to distribute digital products quickly, safely, and securely to authorized recipients.

Digital Signal Processing (DSP)

A general term describing anything that alters digital data. Signal processors have existed for a very long time (tone controls, distortion boxes, wah-wah pedals) in the analog (electrical) domain. Digital Signal Processors alter the data after it has been digitized by using a combination of programming and mathematical techniques. DSP techniques are used to perform many effects such as equalization and reverb simulation.

Since most DSP is performed with simple arithmetic operations (additions and multiplications), both your computer's processor and specialized DSP chips can be used to perform any DSP operation. The difference is that DSP chips are optimized specifically for mathematical functions while your computer's microprocessor is not. This results in a difference in processing speed.

DirectX

A complilation of interpreters that allow sound and video to work faster in Windows 95 and later and Windows NT 4 and later.

Disc-at-Once (DAO, Single Session)

Disc-at-once writing is the most common burning method in the music industry. This writing mode is used when creating a "master" disc to be sent to a disc manufacturer for mass replication. Disc-at-once works just as it sounds. Once the premastering software has created a cue sheet, the Table of Contents (TOC) is written to the lead-in area. At this point, the audio to be recorded is written to the CD in one recording session. After all of the audio has been written, a final fixation is automatically performed by writing the required silence to the lead-out area. This writing procedure is opposite of track-at-once writing, in which the TOC is written to the lead-in area after all data has been written to the disc. SIREN writes CDs using track-at-once writing.

Drag and Drop

A quick way to perform certain operations using the mouse in SIREN. To drag and drop, you click and hold a highlighted selection, drag it (hold the left-mouse button down and move the mouse) and drop it (let go of the mouse button) at another position on the screen.

Dynamic Range

The difference between the maximum and minimum signal levels. It can refer to a musical performance (high volume vs. low volume signals) or to electrical equipment (peak level before distortion vs. noise floor). For example, orchestral music has a wide dynamic range while thrash metal has a very small (always loud) range.

E

Top

Emphasis

A rudimentary noise reduction process which involves a boost in the high frequencies during the recording of the CD and a complimentary cut in the same frequencies during the playback of the CD. The result reduces high frequency noise without disrupting the natural frequency response of the source material. If the emphasis flag is set for a track, any CD player that has a de-emphasis circuit will impart the high frequency cut on the track.

Encoding

SIREN uses encoding to convert music data from CDs to music files. This is the second step of the recording process. The first step is digital audio extraction (DAE). SIREN uses DAE and then encoding when it records music from a CD to your computer.

Equalization (EQ)

The process by which certain frequency band levels are changed. EQ has various uses. In SIREN, you can adjust the EQ levels using the Graphic EQ Panel.

Error Correction Code (ECC)

Contained within each frame of the compact disc. ECC is a method of correcting data errors through the use of interleaved or redundant data. Through the use of ECC, corrected data is restored to its original state.

Error Detection Code (EDC)

Accomplished prior to error correction, EDC is the method used to determine errors in the digital data stream. Through the use of parity bits, data is encoded with binary digits telling the computer whether to accept or reject the data stream.

Error Protection

The use of Error Correction Code, Error Detection Code, and concealment to enhance the storage and playback capabilities of the compact disc.

F

Top

File Format

A file format specifies the way in which data is stored on a computer.

Frequency Spectrum

The Frequency Spectrum of a signal refers to its range of frequencies. In audio, the frequency range is basically 20 Hz to 20,000 Hz. The frequency spectrum sometimes refers to the distribution of these frequencies. For example, bass-heavy sounds have a large frequency content in the low end (20 Hz - 200 Hz) of the spectrum.

G

Top

Genre

Used to describe the style of music that SIREN uses to categorize music in the My Music folder. SIREN uses the genre information stored as part of the song. If this information is not available, you can add it using the Properties window.

H

Top

Hertz (Hz)

The unit of measurement for frequency or cycles per second (CPS).

I

Top

Industry Standard Recording Code (ISRC)

Each track on a CD may contain an ISRC in its Q subcode data, uniquely identifying a track.

L

Top

Land(s)

The area between the pits on the compact disc surface. Series of pits and lands are "burned" into the disc and represent the original audio information. The compact disc player or drive then reads the pits and lands, which are analogous to binary data, and processes this binary data into music.

Lead-in Area

Comprises approximately the first two minutes on any compact disc and is generally unused for recording actual audio data. The main purpose of this area is to store the Table of Contents (TOC), which keeps an account of each track's location on the disc.

Lead-out Area

Contains 90 seconds of silence (blank sectors) and serves as a buffer area in case the player reads past the last track on the disc. This area essentially does nothing more than let listeners know the music is over.

Lossless audio

See Also, Perfect Clarity Audio.

M

Top

Media Control Interface (MCI)

A standard way for Windows programs to communicate with multimedia devices like sound cards and CD players. If a device has a MCI device driver, it can easily be controlled by most multimedia Windows software.

Media Player

A Microsoft Windows program that can play digital sounds or videos using MCI devices. Media Player is useful for testing your sound card setup. For example, if you can't hear sound when using SIREN, try using Media Player. If you can't play sound using Media Player, check the sound card's manual (do not call Sonic Foundry's Technical Support until you've called the sound card manufacturer).

MPEG Layer 3 (.mp3) File

Motion Picture Experts Group-1, Audio Layer 3 (.mp3 file) is an audio compression format invented in 1991 by a German research firm (the Fraunhofer Institute) that squeezes songs to one-twelfth the size of an audio CD file. Developed for broadcast uses, .mp3 eventually found its way onto the Internet as an ideal way to send music files back and forth. SIREN can play and record .mp3 files.

My Media Folder

The folder in which SIREN stores and categorizes your music library. You can access this folder through the Media Library view. The My Media folder organizes your music for easy access and playback.

P

Top

Panel

An area within the SIREN window. You can move and resize panels within the window and can turn them on and off.

Pause Time

The area on a disc that precedes audio tracks (between index 0 and index 1). As required under the Red Book standards, two seconds of pause time between tracks is the minimum requirement on all audio CDs.

Pit(s)

The information on compact discs represented by minute indentations in the polycarbonate base. These pits, in combination with the spaces in between the pits (lands), are what are ultimately read by the CD player or CD-ROM drive and interpreted as either "zeros" or "ones". The compact disc player or drive then processes this binary data into music.

Perfect Clarity Audio (.pca)

A compressed file format that preserves every single bit of audio data. Unlike lossy audio formats like MP3, WMA, or RealMedia, there is absolutely no audio degradation resulting from the compression/decompression algorithm: the before and after audio stream is identical. Even the highest quality setting MP3 files are perceptively different than the original recording and continue to degrade after every encode/decode process. With the PCA audio codec, the file can be re-edited over and over without any loss whatsover, just like using a regular WAV (PCM) file.

While generic lossless data compressors like PKZip typically compresses audio files less than 5%, the Perfect Clarity Audio codec will usually make audio files between 20% to 60% smaller than the original. For an entire 60 minute CD, this can result in savings of more than 200 Megabytes of storage. For archiving large amounts of valuable recordings, the data storage savings can be huge. Also, the files will transfer through a data network that much faster.

Playlist

A custom collection of songs from your music library. You can create playlists for later playback.

Program Area

The area within a track of the compact disc where all user information (audio data) is stored.

Pulse Code Modulation (PCM)

PCM is the most common representation of uncompressed audio signals. This method of coding yields the highest fidelity possible when using digital storage.

Q

Top

Quantization

The process by which measurements are rounded to discrete values. Specifically with respect to audio, quantization is a function of the analog to digital conversion process. The continuous variation of the voltages of a analog audio signal are quantized to discrete amplitude values represented by digital, binary numbers. The number of bits available to describe these values determines the resolution or accuracy of quantization. For example, if you have 8-bit analog to digital converters, the varying analog voltage must be quantized to 1 of 256 discrete values; a 16-bit converter has 65,536 values.

Quantization Noise

A result of describing an analog signal in discrete digital terms (see quantization). This noise is most easily heard in low resolution digital sounds that have low bit depths and is similar to a "shhhhh" type sound while the audio is playing. It becomes more apparent when the signal is at low levels, such as when doing a fade out.

R

Top

Recorder Unique Identifier (RID)

Each track on a CD may contain an RID in its Q subcode which identifies a unique drive on which this CD was recorded. The RID helps prevent unauthorized copying of tracks by enabling the source of any recording to be identified.

Red Book Standard

Defines the specifications of the audio compact disc. Red Book specifications define not only the information within the disc (digital audio recorded at 44.1 kHz), but also the disc size itself and the way in which audio is arranged.

S

Top

Sample

The word sample is used in many different (and often confusing) ways when talking about digital sound. Here are some of the different meanings:

  • A discrete point in time which a sound signal is divided into when digitizing. For example, an audio CD-ROM contains 44,100 samples per second. Each sample is really only a number which contains the amplitude value of a waveform measured over time.

  • A sound which has been recorded in a digital format; used by musicians who make short recordings of musical instruments to be used for composition and performance of music or sound effects. These recordings are called samples. In this Help system, we try to use sound file instead of sample whenever referring to a digital recording.

  • The act of recording sound digitally, i.e. to sample an instrument means to digitize and store it.

Sample Rate

The Sample Rate (also referred to as the Sampling Rate or Sampling Frequency) is the number of samples per second used to store a sound. High sample rates, such as 44,100 Hz provide higher fidelity than lower sample rates, such as 11,025 Hz. However, more storage space is required when using higher sample rates.

Sample Size

See Bit Depth.

Sample Value

The Sample Value (also referred to as sample amplitude) is the number stored by a single sample. In 16-bit audio, these values range from -32768 to 32767. In 8-bit audio, they range from -128 to 127. The maximum allowed sample value is often referred to as 100% or 0 dB.

SCSI Pass-Through Interface (SPTI)

An interface on windows NT platforms that allows you to talk directly to the SCSI drivers and send SCSI commands to the device.

SCMS-Read Compliant (SCMS-R)

A drive that returns Q data to the application, allowing the determination of whether a track is a second generation copy. A SCMS-R drive also allows UPC, ISRC, and RID data to be retrieved at the same time.

SCMS-Write Compliant (SCMS-W)

A drive that allows Q data to be generated on a disc to track second generation copies of audio as well as UPC, ISRC, and RID data.

Serial Copy Management System (SCMS)

Federally mandated copy protection method. This system enables you to copy music from audio CDs to your computer, and then enables you to create a CD from this music for personal use. SCMS prevents you from making a copy of this copy.

Shortcut Menu

A context-sensitive menu which appears when you click on certain areas of the screen. The functions available in the shortcut menu depend on the object being clicked on as well as the state of the program. As with any menu, you can select an item from the shortcut menu to perform an operation. Shortcut menus are used frequently in SIREN for quick access to many commands. An example of a shortcut menu can be found by right-clicking on any waveform display in a data window.

Signal-to-Noise Ratio

The signal-to-noise ratio (SNR) is a measurement of the difference between a recorded signal and noise levels. A high SNR is always the goal.

The maximum signal-to-noise ratio of digital audio is determined by the number of bits per sample. In 16-bit audio, the signal to noise ratio is 96 dB while in 8-bit audio its 48 dB. However, in practice this SNR is never achieved, especially when using low-end electronics.

Small Computer Systems Interface (SCSI)

A standard high-speed parallel interface defined by the American National Standards Institute (ANSI) that defines standard physical and electrical connections for devices. SCSI provides a standard interface that enables many different kinds of devices, such as disk drives, magneto optical disks, CD-ROM drives, and tape drives to interface with the host computer.

Sound Card

The sound card is the audio interface between your computer and the outside world. It is responsible for converting analog signals to digital and vice versa. There are a million sound cards available on the market today covering the spectrum of quality and price. SIREN will work with any Windows compatible sound card.

Sound Forge

Sonic Foundry's Sound Forge is a professional sound editing software for Windows that includes an extensive set of audio processes, tools, and effects for manipulating audio.

Stereo

Mixer implementation that includes 2 discrete channels.

Subcodes

The 8 bits in the control byte, named P,Q,R,S,T,U,V,W, where each bit represents a subcode channel. The first two bits of the Control Byte contain timing information that is used to position the driver head and the remaining six bits contain user information. The "P" channel indicates what part of the disc is being read: Lead-In, Program, or Lead-Out. The "P" channel also indicates start times and end times for each track on the disc. Compact disc players use the "Q" channel to display the music playing time. The "Q" channel is broken down into three modes. The majority of audio CD titles do not use the "R through W" channels and about 99.9% of all CD players ignore the R-W channels altogether.

T

Top

Table of Contents (TOC)

Non-audio data, contained in the lead-in area, which keeps an account of each track's location on the disc. Specifically, contains a listing of initialization data and track and time information.

Tempo

Tempo is the rhythmic rate of a musical composition, usually specified in Beats Per Minute (BPM).

Track

Each track is normally equivalent to one song on a CD. The Red Book Standard allows up to 99 tracks on a CD-DA disc. Tracks contain series of pits and lands, which represent the information audio information.

Track-at-once (TAO)

Track-at-once writing records either one track or multiple tracks to the disc and results in a partially recorded disc. Because the data in the program area is written before the lead-in area (including the Table of Contents), the CD-R disc remains unplayable on most systems until you add the final track and perform a final fixation (close the CD session). The advantage of this type of writing is that you can record tracks onto the disc as you finish them, as opposed to waiting until you have finished the entire album (as you do with disc-at-once writing). SIREN uses track-at-once writing for writing CDs.

Transport Bar

SIREN window area that provides easy access to common commands used while playing music.

U

Top

Universal Product Code (UPC)

Each CD may contain a UPC in its Q subcode data, uniquely identifying the disc.

W

Top

Wave (.wav) File

Standard audio format used on Windows-based computers. SIREN can play back .wav files and can convert them to .wma files.

Waveform

A Waveform is the visual representation of wave-like phenomena, such as sound or light. For example, when the amplitude of sound pressure is graphed over time, pressure variations usually form a smooth waveform.

Windows Media Audio File(.wma)

Microsoft compressed audio format that provides security features that prevent unauthorized duplication. In addition to playing .wma files, SIREN can also create .wma files from music that you've recorded from audio CDs and from .wav and .mp3 files.


Playing Media Files from Your Computer

Playing Media Files

SIREN will play most media file formats from the computer or a network drive.

What do you want to do?

Search the computer for music

Play music from the Media Library or a custom playlist

Play music from a the computer or drive location


Preferences - CD Info Tab

Options Menu

The CD Info tab of the Preferences dialog allows you to specify options for gathering CD information. Following is a description of each option.

Option | Description
Maintain a local database of audio CD information. | Selecting this option configures SIREN to maintain a local database of CD information.
Get CD Info from CDPLAYER.INI if available | Selecting this option enables SIREN to access the cdplayer.ini file when reading a CD to determine if song information is available. If SIREN finds song information, it displays the information in the Play/Rip CD tab and in the Library Info Bar.
Get CD Info from CD-TEXT if present on audio CDs | Selecting this option enables SIREN to access CD-TEXT from the CD to retrieve song information. If SIREN locates song information on the CD, it displays the information in the Play/Rip CD tab and in the Library Info Bar, and saves the information to its local database.
Automatically get CD Info from the Internet | Selecting this option enables SIREN to use CDDB to retrieve song information when a CD is inserted. To use CDDB, a valid e-mail address must be provided.
Email Address (requied for CDDB Access) | Enter a valid e-mail address in the field to enable SIREN to access CDDB . However, if you do not want to provide an e-mail address you can select the Anonymous check box.
Get Sites | SIREN uses a default CDDB web address to retrieve song information. When experiencing problems connecting to CDDB, click Get Sites to access a list alternate of CDDB addresses.
Default Site | Clicking Default Site restores the connection to the default CDDB web address.
Please use an anonymous e-mail address when connecting to CDDB | Select this option if you do not want to use your email address when connecting to CDDB. If you are submitting CD information, CDDB will send an e-mail message if a problem occurs with the submission. However, if the anonymous e-mail option is selected, no notification will be received.


Preferences - General Tab

Options Menu

The General tab of the Preferences dialog allows you to specify general SIREN options. Following is a description of each preference:

Preference | Description
Disable splash screen | When checked, the SIREN logo splash screen will not be displayed when SIREN starts.
Use Sound Card to Play Back Audio from CDs | Selecting this option enables SIREN to use the system's sound card for music playback. Typically, this option should be selected, however; certain CD drives experience difficulty playing music smoothly through SIREN. If gapping or glitching occurs, clear this check box and SIREN will play directly from the CD drive.
Use system mixer for volume control | Selecting this option will result in the system's volume control and SIREN's volume control to respond the same. When you reduce the volume in SIREN, all of the system sounds will be quieter. Deselecting this option results in SIREN's volume control being independent from the system volume. Then, if you reduced or muted SIREN's volume, you'd still hear your system's sounds.
Use internal Internet Browser | Selecting this option configures SIREN to display an internal Web browser for accessing the Internet when the application requires Web access, such as Get Media .
Download music files directly to music files folder | Selecting this option configures SIREN to attempt to intercept downloads of associated media files and put them in your media files folder.
Intercept Active Server Pages | When SIREN attempts to intercept downloads from Web links that are not "direct downloads" but are instead pages served up by a custom Web server (ASP pages), SIREN performs an extra step to determine file type (streaming file, MP3 download, HTML text). This extra step causes a "sleepy pointer" and may cause sluggish Web surfing or long time outs on certain system configurations. Selecting this option prevents web timeouts on certain systems.
Minimize into system tray | When minimized, Siren will appear in the system tray instead of the Windows task bar.
Allow video to stretch larger | When checked, video will be resized to fill the display window during playback.
Small Tabs | When checked, the tabs will appear smaller, the tab icons removed, and will take up less space on the screen.
Show Automatic Notifications | When checked, SIREN will automatically check for updates and messages from the Sonic Foundry web site.


Properties - General Tab

Properties Dialog General Tab

Alt+Enter

File Menu

The General tab of the Properties dialog displays file information. This tab is available for any song, track, video clip, or media file in the Media Manager panel.

The information displayed is dependent upon file type.

For songs in the Media Library tab, the Properties dialog also contains the Library Info tab.


Properties - Library Info Tab

Alt+Enter

File Menu

The Library Info tab of the Properties dialog is available only for media in the Media Library tab. It is not available for media files or CD audio tracks. This information can be edited, and changes are reflected in the Media Library panel.

Media information can also be modified directly in the Library Info Bar located in the Media Library tab.

To modify media information

  1. From the Media Library tab, select the song.

  2. From the File menu, choose Properties and click on the Library Info tab.

  3. Enter the information into the field to be modified. For the Genre field, either specify an existing genre from the drop-down list or create a new genre.

  4. Click OK.

If the artist, album, or genre information is edited, the song is reorganized in the Media Library tab. If the new artist, album, or genre information does have a category, SIREN creates a new view containing the song.


Save to CDPLAYER.INI Now

CD Info

File Menu

Several Windows-based applications, including the Windows CD Player, use the cdplayer.ini file to store CD information. SIREN looks in this file for CD information if it is not found in the SIREN music database. When you add information manually or obtain it from CDDB, it can be saved to this file, and is then available to other applications, as well as SIREN.

To save CD info to the cdplayer.ini file, choose CD Info, followed by Save to CDPLAYER.INI Now from the File menu.


Selecting Multiple Songs

In SIREN, you are able to select multiple songs for functions such as adding songs to a playlist.

  • To select multiple continuous songs, select the first song, hold down the Shift key, and select the last song.

  • To select multiple non-adjacent songs, hold down the Ctrl key while selecting songs.


Submit CD Info

File Menu

If CDDB does not have information regarding a particular CD, you can manually enter the information and upload it to the CDDB database. To do this, click [image] or choose CD Info, followed by Submit, from the File menu. CDDB will send an e-mail message if a problem is encountered with the submission, however, if the anonymous e-mail option is selected, no notification will be received.


System Properties

To access the System Properties dialog, right-click on the My Computer icon, and choose Properties from the shortcut menu.


Using SIREN

Using SIREN Jukebox

Get started playing music, recording CDs to the computer, and writing custom CDs.

What do you want to do?

Set up SIREN

Customize the SIREN window

Use the Media Manager panel

Play music

Organize your music

Search your computer for music

Get music from the Internet

Rip CDs to your computer

Get song information about your CDs from the Internet

Create a Custom CD

Send music to a portable player


Windows Media Audio

Windows Media Audio (.wma) File

A Microsoft music file format that provides security features to prevent unauthorized duplication.


SIREN_Jukebox

Copyright © 1997-2000 Sonic Foundry, Inc. All rights reserved.